# Changelog

## v1.9.6

Summary of Changes
------------------

**Minor Changes:**
* Added a new daemon option `--tofqdns-idle-connection-grace-period`. (Backport PR #15531, Upstream PR #15458, @jrajahalme)
* Adds a Getting Started Guide for Rancher Kubernetes Engine (Backport PR #15399, Upstream PR #15323, @seanmwinn)
* doc: Document minimal version of AWS CNI in chaining mode (Backport PR #15331, Upstream PR #15304, @tgraf)
* k8s: update k8s libraries to 1.19.10 (#15753, @aanm)
* node-neigh: Query once netlink for neigh discovery device (Backport PR #15536, Upstream PR #15431, @brb)
* VM support has been updated to make use of the new `cilium` cluster CLI tool. (Backport PR #15531, Upstream PR #15320, @jrajahalme)

**Bugfixes:**
* Add labels to scrape cilium agent and operator metrics (Backport PR #15588, Upstream PR #14747, @lyveng)
* cilium: encryption, auto-discover interface and subnet (Backport PR #15601, Upstream PR #15357, @jrfastab)
* cilium: Fix EKS encryption panic and reinit path and add workflows test (Backport PR #15726, Upstream PR #15669, @jrfastab)
* ctmap: do not call InitMapInfo() in init() (Backport PR #15673, Upstream PR #15590, @kkourt)
* eni: Assign primary IP to support multiple VPC CIDRs (Backport PR #15627, Upstream PR #15453, @gandro)
* Envoy is updated to release 1.17.2 (#15738, @jrajahalme)
* Fix a bug that was causing Azure IPAM to not work when ApplicationSecurityGroups were attached to IPConfigurations of a NIC. (Backport PR #15331, Upstream PR #15194, @AnishShah)
* Fix a bug that was causing Azure IPAM with multiple pod subnets to not work. (Backport PR #15331, Upstream PR #15182, @AnishShah)
* Fix bug where `enable-endpoint-routes` change required all pods to restart to take effect (Backport PR #15399, Upstream PR #15228, @pchaigno)
* Fix bug where any non-leader Operator in HA mode would crash updating CRDs (Backport PR #15588, Upstream PR #15544, @christarazi)
* Fix ethtool issues (Backport PR #15673, Upstream PR #15622, @tklauser)
* ipam: Fix ENI routing for secondary CIDRs (Backport PR #15331, Upstream PR #15303, @gandro)
* node: Fix CIDR comparison when updating routes (Backport PR #15331, Upstream PR #15263, @brb)

**CI Changes:**
* bpf: Extend datapath options for K8sVerifier test (Backport PR #15673, Upstream PR #15540, @pchaigno)
* test: ensure kubectl version is available for test run (Backport PR #15752, Upstream PR #15748, @nebril)
* test: make RunsOnNetNextKernel() helper work with KERNEL="net-next" (Backport PR #15531, Upstream PR #15395, @qmonnet)

**Misc Changes:**
* [1.9] contrib: Skip image digests during release prep (#15291, @joestringer)
* Add Cluster Health metrics (Backport PR #15531, Upstream PR #15380, @h3llix)
* Bugtool: add taskset (Backport PR #15399, Upstream PR #14568, @youssefazrak)
* bugtool: dump iptables-legacy and iptables-nft (Backport PR #15399, Upstream PR #15363, @h3llix)
* Bugtool: route tables are dynamically dumped (Backport PR #15399, Upstream PR #14488, @youssefazrak)
* build(deps): bump actions/cache from v2 to v2.1.4 (#15413, @dependabot[bot])
* build(deps): bump actions/cache from v2.1.4 to v2.1.5 (#15672, @dependabot[bot])
* build(deps): bump actions/download-artifact from 4a7a711286f30c025902c28b541c10e147a9b843 to 2.0.9 (#15704, @dependabot[bot])
* build(deps): bump docker/setup-buildx-action from 154c24e1f33dbb5865a021c99f1318cfebf27b32 to 1.1.2 (#15654, @dependabot[bot])
* build(deps): bump golangci/golangci-lint-action from v2 to v2.5.2 (#15554, @dependabot[bot])
* build(deps): bump helm/kind-action from v1.0.0 to v1.1.0 (#15342, @dependabot[bot])
* build(deps): bump KyleMayes/install-llvm-action from v1.1.1 to v1.2.2 (#15685, @dependabot[bot])
* build(deps): bump pygments from 2.4.2 to 2.7.4 in /Documentation (Backport PR #15531, Upstream PR #15495, @dependabot[bot])
* build(deps): update actions/upload-artifact requirement to ee69f02b3dfdecd58bb31b4d133da38ba6fe3700 (#15642, @dependabot[bot])
* build(deps): update docker/build-push-action requirement to e1b7f96249f2e4c8e4ac1519b9608c0d48944a1f (#15741, @dependabot[bot])
* contrib: fix remote overriding (Backport PR #15399, Upstream PR #15328, @kaworu)
* docs: De-duplicate k8s integration section (Backport PR #15531, Upstream PR #15454, @joestringer)
* docs: Fix commands for IPSec key rotations (Backport PR #15531, Upstream PR #15481, @pchaigno)
* docs: fix the Cilium namespace in GKE (Backport PR #15531, Upstream PR #15463, @kaworu)
* docs: Hide "Edit on GitHub" buttons (Backport PR #15588, Upstream PR #15579, @joestringer)
* docs: Update DNS proxy timeout value (Backport PR #15588, Upstream PR #15581, @aditighag)
* docs: update k3s installation instructions (Backport PR #15588, Upstream PR #15503, @aanm)
* Documentation: fix key rotation command in encryption guide (Backport PR #15399, Upstream PR #15365, @mauriciovasquezbernal)
* Fix BPF_JMP_MAP_ID on tail call toy example. (Backport PR #15588, Upstream PR #15576, @yiannisy)
* Improve release scripts (Backport PR #15531, Upstream PR #15294, @joestringer)
* install/kubernetes: Fix incorrect commands for digest generation (Backport PR #15312, Upstream PR #15311, @christarazi)
* ipam: Fix empty interface number in Azure (Backport PR #15597, Upstream PR #15533, @christarazi)
* ipsec: Fix routing CIDR iteration on EKS (Backport PR #15726, Upstream PR #15645, @gandro)
* k8s: update k8s libraries to 1.19.9 (#15527, @aanm)
* Kata: Mention incompatibility with host-reachable services or strict KPR in documentation (Backport PR #15673, Upstream PR #15589, @qmonnet)
* Make encryption+chaining limitations clearer (Backport PR #15627, Upstream PR #15598, @joestringer)
* mtu: Switch to v/netlink for querying netdevs (Backport PR #15673, Upstream PR #15260, @brb)
* node-neigh: Reduce arping related log msg's level (Backport PR #15627, Upstream PR #15261, @brb)
* Partial revert "vendor: Bump netlink to include timeouts" (#15351, @joestringer)
* Update Go to 1.15.11 (#15570, @tklauser)
* v1.9: Update Go to 1.15.10 (#15347, @tklauser)
* v1.9: Update Go to 1.15.9 (#15316, @tklauser)
* vendor: Update sigs.k8s.io/structured-merge-diff/v4 (Backport PR #15531, Upstream PR #14752, @christarazi)
* install: Update image digests for v1.9.5 (#15310, @christarazi)

## v1.9.5

Summary of Changes
------------------

**Major Changes:**
* Move Azure IPAM out of beta (Backport PR #15104, Upstream PR #14993, @tgraf)

**Minor Changes:**
* daemon: do not allow --auto-direct-node-routes when tunneling is enabled (Backport PR #15243, Upstream PR #15196, @jibi)
* datapath: Do not log when kernel config not found (Backport PR #15006, Upstream PR #14902, @brb)
* Envoy is updated to release 1.15.3. (Backport PR #15254, Upstream PR #14462, @jrajahalme)
* Envoy is updated to release 1.17.1 (Backport PR #15220, Upstream PR #14754, @jrajahalme)
* helm: Fix and add missing podLabels (Backport PR #15104, Upstream PR #14943, @Subreptivus)
* Install Cilium in kube-system on GKE (Backport PR #15006, Upstream PR #14899, @pchaigno)
* k8s: update k8s libraries to 1.19.8 (#15029, @aanm)
* Make Go runtime to return unused memory to OS more often (Backport PR #14961, Upstream PR #14634, @aanm)
* Make pod-to-pod encryption functional in the IPAM ENI mode. (Backport PR #14961, Upstream PR #14924, @aditighag)
* Revert kernel-check CLI (Backport PR #15006, Upstream PR #14966, @joestringer)
* Support kube-proxy-replacement when running on Kind (Backport PR #15104, Upstream PR #14951, @brb)

**Bugfixes:**
* [1.9] doc: Fix masquerade option in AKS/Azure guides (#15245, @tgraf)
* Avoid an empty instanceID on EC2 (Backport PR #15047, Upstream PR #15012, @kkourt)
* bpf: Fix bpf masquerade issue when host connecting to remote pod (Backport PR #15243, Upstream PR #15206, @borkmann)
* cilium: encryption fix, ipv4-pod-subnets without encryptnode fails (Backport PR #15164, Upstream PR #14999, @jrfastab)
* cilium: encryption, fixes for ENI & Azure mode with shared podIPs and networkIPs (Backport PR #15164, Upstream PR #15048, @jrfastab)
* Fix a bug that affects connectivity to NodePort service via ExternalIP of the local k8s node. (Backport PR #14961, Upstream PR #14793, @AnishShah)
* Fix bug where PolicyAuditMode could not be changed at runtime if it was enabled at startup (Backport PR #15243, Upstream PR #15218, @ArthurChiao)
* Fix connectivity to externalTrafficPolicy=Local services when using the host firewall with kube-proxy (Backport PR #14961, Upstream PR #14756, @pchaigno)
* Fix ENI compatibility regression between 1.7 <-> 1.8 (Backport PR #15006, Upstream PR #14991, @tgraf)
* Fix failing `bpf-map-sync-cilium_snat_v{4,6}_external` controllers when BPF NodePort is disabled (Backport PR #15298, Upstream PR #15175, @pchaigno)
* Fix ICMP Echo ID placement in CT maps (#15274, @brb)
* Fix ipsec+vxlan bug where egressing packets would bypass masquerading on their way to remote nodes (Backport PR #14961, Upstream PR #14611, @jrfastab)
* Fix memory leak on stable policy identity churn. (Backport PR #15047, Upstream PR #15042, @jrajahalme)
* Fix possible deadlock when querying network interfaces for arping (#15227, @brb)
* Fix potential panic on clustermesh environments (Backport PR #15164, Upstream PR #15107, @aanm)
* Fix remote pod connectivity through VIP in tunneling mode with kube-proxy and per-endpoint routes. Fix IPv6 connectivity to BPF HostPort when kube-proxy is installed (Backport PR #14961, Upstream PR #14675, @pchaigno)
* ipsec: Use 64bits for XFRM output sequence number (Backport PR #15164, Upstream PR #15039, @pchaigno)
* iptables: Fix incorrect SNAT bypass with endpoint routes and tunneling (Backport PR #14961, Upstream PR #14913, @pchaigno)
* labelsfilter: add reserved labels to default identity label list (Backport PR #14930, Upstream PR #14114, @ArthurChiao)
* service: Skip upsert of service for disabled IP family (Backport PR #15243, Upstream PR #15026, @pchaigno)

**CI Changes:**
* bpf: Enable monitor aggregation in complexity tests (Backport PR #15006, Upstream PR #14995, @pchaigno)
* checkpatch: update image (skip backports, add a check, suppress one report type) (Backport PR #15164, Upstream PR #15096, @qmonnet)
* ci(smoketest): Pin promtool version in GHA (Backport PR #14961, Upstream PR #14954, @sayboras)
* ci: disable endpointslice in 1.17 cluster (Backport PR #15164, Upstream PR #15058, @nebril)
* ci: use quay.io images in upstream tests (Backport PR #15164, Upstream PR #15081, @nebril)
* lbmap: Initialize maps before test suite runs (Backport PR #14870, Upstream PR #14842, @christarazi)
* test: Avoid unnecessary restarts of unmanaged pods (Backport PR #15006, Upstream PR #14938, @pchaigno)
* test: Delete all unmanaged pods with a single kubectl delete (Backport PR #15006, Upstream PR #14942, @pchaigno)
* test: K8sVerifier Fix test-verifier's scheduling (Backport PR #14870, Upstream PR #14803, @pchaigno)
* test: Use Endpoint instead of EndpointSlice in 1.17 (Backport PR #15006, Upstream PR #15010, @nebril)

**Misc Changes:**
* .github: add stable tag for v1.9 releases (#15084, @aanm)
* .github: publish into official repo for next release (#15033, @aanm)
* [v1.9] .github: add GitHub actions to build images (#14936, @aanm)
* Add configurable suffix for operator image repo in helm (Backport PR #15164, Upstream PR #14952, @nebril)
* add GH action to push hot fix images into -dev repositories (#15062, @aanm)
* Add support for image digests in helm charts (#15186, @aanm)
* Adds a Getting Started Guide for Rancher 2.x using Existing Nodes (Backport PR #15298, Upstream PR #15179, @seanmwinn)
* backporting: Add support for forked cilium repositories (Backport PR #15006, Upstream PR #15008, @gandro)
* backporting: Update instructions for backporting workflow (Backport PR #15164, Upstream PR #15118, @aditighag)
* build(deps): bump actions/setup-go from v1 to v2.1.3 (#15235, @dependabot[bot])
* build(deps): bump KyleMayes/install-llvm-action from v1 to v1.1.1 (#15211, @dependabot[bot])
* contrib/k8s: use provided image when installing external workload (Backport PR #15047, Upstream PR #15020, @tklauser)
* docs: Add FQDN limitation to IPVLAN docs (Backport PR #14930, Upstream PR #14893, @joestringer)
* docs: Add L7 not working warning to AWS CNI Chaining page (Backport PR #15243, Upstream PR #15163, @stimmerman)
* docs: Added instruction to also delete kube-proxy configmap (Backport PR #14961, Upstream PR #14847, @yoshz)
* docs: Clarify external workload docs (Backport PR #15254, Upstream PR #15253, @jrajahalme)
* docs: Clarify titles for allow-all-endpoints examples (Backport PR #15243, Upstream PR #15145, @pchaigno)
* docs: Document hostport requirements in eni (Backport PR #14961, Upstream PR #14920, @joestringer)
* docs: Fix max. number of tail calls (Backport PR #15243, Upstream PR #15162, @pchaigno)
* envoy: Do not use deprecated fields (Backport PR #15254, Upstream PR #15232, @jrajahalme)
* envoy: Silently discard expected warnings if flowdebug is not enabled (Backport PR #15288, Upstream PR #15284, @jrajahalme)
* Fix BPF map handling on upgrade when disabling the preallocation of BPF maps (Backport PR #15099, Upstream PR #14853, @christarazi)
* images: Set GOPS_CONFIG_DIR in scratch images (Backport PR #14961, Upstream PR #14886, @gandro)
* Improve release scripts (Backport PR #15259, Upstream PR #15121, @joestringer)
* iptables: Skip CILIUM_TRANSIENT_FORWARD for IPv6 (Backport PR #15006, Upstream PR #14994, @pchaigno)
* labelsfilter: Update documentation and add unit tests (Backport PR #14961, Upstream PR #14338, @pchaigno)
* Minor backporting script tweaks (Backport PR #15053, Upstream PR #14027, @twpayne)
* tools/licensegen: consider COPYING files (Backport PR #15243, Upstream PR #15239, @tklauser)
* v1.9: Update Go to 1.15.8 (#14984, @tklauser)

**Other Changes:**
* test: Fix docker compose in precheck (#15171, @nebril)

## v1.9.4

Summary of Changes
------------------

**Minor Changes:**
* Helm Chart: add checksum to configmap to ensure pods roll when configmap is updated (Backport PR #14783, Upstream PR #14540, @travisghansen)

**Bugfixes:**
* bpf: Correctly use revalidate_data_pull() in do_decrypt() (Backport PR #14783, Upstream PR #14689, @tgraf)
* cilium-cni: Fix error handling for bad netns (Backport PR #14783, Upstream PR #14645, @joestringer)
* Fix a route MTU issue where pods cannot receive large packets from outside the cluster 
 when the sender sets the "don't fragment" (DF) bit. (Backport PR #14783, Upstream PR #14679, @aditighag)
* Fix bug where Cilium did not respect `--bpf-lb-map-max` and wouldn't update the maximum size of BPF LB maps (Backport PR #14798, Upstream PR #14607, @christarazi)
* Fix missing loopback CNI plugin in multi-arch images (Backport PR #14839, Upstream PR #14828, @aanm)
* hubble: parser: Set Encrypted bit correctly (Backport PR #14783, Upstream PR #14677, @tgraf)
* node-neigh: Fix node removal and invalid neigh entry due to buggy arping response correlation (Backport PR #14839, Upstream PR #14709, @brb)
* routing: Fix route collisions in AWS ENI (Backport PR #14846, Upstream PR #14269, @christarazi)

**CI Changes:**
* Extend K8sVerifier to maximize program sizes on 4.19 and net-next kernels (Backport PR #14798, Upstream PR #14451, @pchaigno)
* test: Enable K8sVerifier on 4.19 and net-next CI (Backport PR #14798, Upstream PR #13953, @pchaigno)

**Misc Changes:**
* [v1.9] release: Fix script to check presence of docker images (#14780, @joestringer)
* bpf: do not enable host routing when kpr is disabled (Backport PR #14783, Upstream PR #14737, @borkmann)
* bpf: Replace CALLS_MAP symbol in compile-tested binaries (Backport PR #14798, Upstream PR #13934, @pchaigno)
* bpf: Send packet drop notify for ipv6 lb nat mode failures. (Backport PR #14783, Upstream PR #14730, @hzhou8)
* bpf: Send packet drop notify for LB DSR mode failures. (Backport PR #14783, Upstream PR #14649, @hzhou8)
* contrib/release: clarify project number for release process (Backport PR #14783, Upstream PR #14684, @aanm)
* contrib: Add script to fetch docker manifests (Backport PR #14783, Upstream PR #14707, @joestringer)
* docker: Pull llvm-objcopy in cilium-builder (Backport PR #14798, Upstream PR #13958, @pchaigno)
* docs: Add section in external etcd about identity-allocation-mode (Backport PR #14783, Upstream PR #14673, @christarazi)
* docs: fix typo (Backport PR #14783, Upstream PR #14647, @sslavic)
* Fix wrong url (Backport PR #14839, Upstream PR #14818, @manuelbuil)
* helm: set dnsPolicy based on etcd.k8sService (Backport PR #14783, Upstream PR #14626, @aanm)
* Remove SNAT maps entries to support the case when the user toggles off from using BPF to kube-proxy. (Backport PR #14839, Upstream PR #14721, @mazzy89)
* runtime: specify ICMP ids on connectivity test (Backport PR #14839, Upstream PR #13989, @kkourt)
* v1.9: Update Go to 1.15.7 (#14665, @tklauser)

**Other Changes:**
* backport 1.9: vendor: Bump github.com/cilium/arping to fix correlation bug (#14733, @brb)

## v1.9.3

Summary of Changes
------------------

**This version fixes v1.9.2 docker images that were released in quay.io. These
images were accidentally build from the master branch and they are not safe to
run in production environments. Users using quay.io images are advised to
upgrade to v1.9.3.**

**Misc Changes:**
* [v1.9] .github: update v1.9 cilium-actions project number (#14685, @aanm)

**Other Changes:**
* [v1.9] docs: Add `quick-hubble-install.yaml` method (#14468, @gandro)

## v1.9.2

Summary of Changes
------------------

**Minor Changes:**
* Update Go to 1.15.6 (#14303, @tklauser)
* k8s: Update libraries to v1.19.6 (#14480, @christarazi)
* daemon, node: refresh neighbor by sending arping periodically (Backport PR #14578, Upstream PR #14498, @jaffcheng)
* install: Provide quick-hubble-install.yaml for Relay and UI (Backport PR #14443, Upstream PR #14221, @gandro)
* ipsec: Fatal on unsupported, <4.19 kernels in tunneling mode (Backport PR #14585, Upstream PR #14525, @pchaigno)
* Istio integration is updated to Istio release 1.6.14 (Backport PR #14538, Upstream PR #14271, @jrajahalme)
* No longer wait for and modify `/var/run/azure-vnet.json`. This confuses azure-vnet during Pod removal, causing it to incorrectly clean up machine state.
  In Azure IPAM mode, remove /var/run/azure-vnet.json on Cilium agent startup, flush ebtables and remove permanent neigh entries. (Backport PR #14613, Upstream PR #14452, @ti-mo)

**Bugfixes:**
* Add missing requireIPv6PodCIDR setting (Backport PR #14538, Upstream PR #14508, @NeilW)
* bpf: fix misconfigured nat to 0.0.0.0 on !masquerade config (Backport PR #14613, Upstream PR #14596, @borkmann)
* cilium, gops: remap to fixed port to avoid collision with nodeport range (Backport PR #14419, Upstream PR #14329, @borkmann)
* clustermesh: Ignore symlink files on fsnotify events (Backport PR #14613, Upstream PR #14565, @tgraf)
* Fix BPF verifier rejection with IPv6 prefilter (Backport PR #14538, Upstream PR #14447, @pchaigno)
* Fix bug where CCNPs are not validated properly in preflight (Backport PR #14613, Upstream PR #14557, @christarazi)
* Fix bug where Cilium would constantly regenerate endpoints in environments with etcd and Linux 4.15 or below. (Backport PR #14405, Upstream PR #14300, @dctrwatson)
* Fix CIDR rule bug potentially dropping allowed traffic or allowing denied traffic for deny policies (beta feature) when using ExceptCIDRs expressions. (Backport PR #14613, Upstream PR #14516, @jrajahalme)
* Fix clustermesh-apiserver dependencies on pkg/option (Backport PR #14613, Upstream PR #14577, @tgraf)
* Fix missing packet mark mask that can cause policy deny drops in IPSec configuration. (Backport PR #14419, Upstream PR #14381, @pchaigno)
* Fix possible overflow in values presented in the `k8s_event_lag_seconds` metric. (Backport PR #14405, Upstream PR #14313, @aanm)
* Fix potential nil pointer exception for an invalid CCNP in the Cilium Operator (Backport PR #14405, Upstream PR #14375, @aanm)
* Fix potential panic when closing etcd connection on error (Backport PR #14644, Upstream PR #14623, @aanm)
* Fix rare crash on startup when kubernetes initialization occurs before IP address configuration (Backport PR #14405, Upstream PR #14299, @joestringer)
* Fixing Hubble ServiceMonitor k8s-app label (Backport PR #14538, Upstream PR #14473, @guilhermef)
* Handle cluster names with dots for TLS server names. This prevented Hubble Relay from connecting to peers with TLS enabled in such a scenario. (Backport PR #14405, Upstream PR #14378, @Rolinh)
* helm/cilium-configmap: added checks to deduplicate keys (Backport PR #14308, Upstream PR #14153, @PranaviRoy)
* helm: Fix preflight check resource quota conflict (Backport PR #14308, Upstream PR #14295, @gandro)
* install/kubernetes: set the right option for expectAzureVnet (Backport PR #14538, Upstream PR #14449, @aanm)
* maglev: Delete map if previous M's do not match (Backport PR #14424, Upstream PR #14345, @brb)
* node: Remove check whether nextHop is in same L2 (#14453, @brb)
* Split AKS node-init into two stages. Use azure0 presence as a condition for flushing ebtables & neigh. (Backport PR #14613, Upstream PR #14616, @ti-mo)
* Remove 'bridge' parameter in Azure CNI chaining configuration. (Backport PR #14644, Upstream PR #14624, @ti-mo)

**CI Changes:**
* ci/helpers: Clean-up resource quotas (Backport PR #14405, Upstream PR #14294, @gandro)
* ci: check if gke cluster has a nodepool before reserving it (Backport PR #14613, Upstream PR #14576, @nebril)
* ci: Use correct `agent` value in preflight check (Backport PR #14419, Upstream PR #14393, @gandro)
* jenkinsfile: Allow enabling host firewall in k8s-all CI (Backport PR #14644, Upstream PR #14524, @pchaigno)
* test: Fix flake on policy verdict count check (Backport PR #14405, Upstream PR #14286, @pchaigno)
* test: Fix microk8s deployment hurdles (Backport PR #14538, Upstream PR #14420, @joestringer)
* test: RuntimePolicies: Fix flake when validating logs (Backport PR #14585, Upstream PR #14529, @pchaigno)
* test: Test policy enforcement through tunnels (Backport PR #14538, Upstream PR #14412, @pchaigno)
* test: Add missing gomega Eventually intervals (Backport PR #14538, Upstream PR #14388, @jrajahalme)

**Misc Changes:**
* docs: Add cgroups kernel config requirements (Backport PR #14538, Upstream PR #14517, @joestringer)
* docs: add info about tailcalls in bpf subprograms (Backport PR #14538, Upstream PR #13888, @mfijalko)
* docs: Clarify from/toRequires documentation with a new example (Backport PR #14308, Upstream PR #14262, @pchaigno)
* docs: Document expected behavior for node-local DNS (Backport PR #14405, Upstream PR #14297, @aditighag)
* docs: Fix connectivity check output (Backport PR #14308, Upstream PR #14278, @errordeveloper)
* docs: Fix dependency conflict (Backport PR #14308, Upstream PR #14264, @joestringer)
* docs: Fix values.yaml upgrade guide to match helm args (Backport PR #14308, Upstream PR #14237, @joestringer)
* docs: Update linux distribution compatibility (Backport PR #14538, Upstream PR #14434, @joestringer)
* Fix bug Cilium hangs with kvstore configured (#14629, @aanm)
* helm: 'bpf.ctTcpMax' and 'bpf.ctAnyMax' need to be strings, not integers (Backport PR #14538, Upstream PR #14021, @mvisonneau)
* helm: Do not deploy Hubble mTLS secrets unless Relay is enabled (Backport PR #14443, Upstream PR #14394, @gandro)
* helm: fix TLS cert server name for cluster names containing dots (Backport PR #14538, Upstream PR #14413, @kaworu)
* helm: fix TLS cert server name for cluster names containing dots with certgen (Backport PR #14538, Upstream PR #14416, @kaworu)
* hubble relay: various logging improvements (Backport PR #14613, Upstream PR #14521, @kaworu)
* microk8s: fix  add-on-command for enabling cilium (Backport PR #14405, Upstream PR #14325, @brandshaide)
* pkg/datapath: fix arp ping handling (Backport PR #14613, Upstream PR #14501, @aanm)
* pkg/endpoint: Readd GetRealizedPolicyRuleLabelsForKey (Backport PR #14308, Upstream PR #14257, @gandro)
* pkg/logging: Init klog with flag set name (Backport PR #14538, Upstream PR #14346, @fafucoder)
* pkg/node: fix concurrent access of entry node (Backport PR #14613, Upstream PR #14591, @aanm)
* Update policy-creation.rst (Backport PR #14538, Upstream PR #14241, @gecube)
* vendor: Update vishvananda/netlink (Backport PR #14538, Upstream PR #14513, @pchaigno)

**Other Changes:**
* [v1.9] docker: bump cilium-iproute2 image (#14619, @qmonnet)
* backport 1.9: vendor: Bump github.com/cilium/arping (#14637, @brb)
* policy: Don't nil an empty selectors map. (#14391, @jrajahalme)
* policy: Track selectors that contribute to MapStateEntries (#14362, @jrajahalme)

## v1.9.1

Summary of Changes
------------------

**Minor Changes:**
* bpf: add metrics for fragmented ipv4 packets (Backport PR #14088, Upstream PR #13347, @jibi)
* helm: Add extraConfig in configmap template (Backport PR #14270, Upstream PR #14077, @michi-covalent)
* helm: Correct nodeSelector values (Backport PR #14212, Upstream PR #14104, @sayboras)
* helm: fix usage of `hostPath` and add `hostPathType` in `extraHostPathMounts` (Backport PR #14212, Upstream PR #14134, @errordeveloper)
* install: Disable operator HA for quick/experimental install YAMLs (Backport PR #14116, Upstream PR #14102, @joestringer)
* k8s: update k8s libraries to 1.19.4 (#14033, @aanm)
* node: Handle arpinging when remote node is in different L2 (Backport PR #14246, Upstream PR #14201, @brb)

**Bugfixes:**
* bpf: Don't compile unused BPF sections (Backport PR #14212, Upstream PR #14141, @pchaigno)
* ctmap: GC orphan SNAT entries (Backport PR #14060, Upstream PR #13912, @brb)
* Fix bug where Cilium on smaller instance types cannot allocate IPs (Backport PR #14060, Upstream PR #13865, @christarazi)
* Fix etcd's auth token invalid after watch reconnects (Backport PR #14270, Upstream PR #14238, @aanm)
* Fixed Goroutine leak for unresponded ARP pings. (Backport PR #14246, Upstream PR #14222, @jrajahalme)
* FQDN rule restoration IP limit has been made configurable (`--tofqdns-max-ips-per-restored-rule`, default 1000). (Backport PR #14060, Upstream PR #13992, @jrajahalme)
* fqdn: Delay ipcache upserts until policies have been updated (Backport PR #14212, Upstream PR #14110, @jrajahalme)
* hubble/parser: Always preserve datapath numeric identity (Backport PR #14212, Upstream PR #14090, @gandro)
* kpr: ensure DirectRoutingDevice is in devices (Backport PR #14246, Upstream PR #14054, @kkourt)
* metricsmap: fix Prometheus exporter (Backport PR #14270, Upstream PR #14220, @jibi)
* Trim spaces from loadBalancerSourceRanges when parsing its values. (Backport PR #14060, Upstream PR #13996, @aanm)

**CI Changes:**
* .travis: Run race detection builds on master commits only (Backport PR #14270, Upstream PR #14189, @pchaigno)
* build, ci: extend API checks to include Hubble API (Backport PR #14116, Upstream PR #14091, @tklauser)
* checkpatch: update image tag to latest (Backport PR #14060, Upstream PR #13976, @qmonnet)
* checkpatch: update image tag to latest (Backport PR #14212, Upstream PR #14135, @qmonnet)
* ci/helpers: Delete CRDs in CleanupCiliumComponents (Backport PR #14246, Upstream PR #14187, @gandro)
* ci: log in to docker in vagrant boxes (Backport PR #14060, Upstream PR #13969, @nebril)
* daemon: Fix netns usage in kpr privileged unit tests (Backport PR #14212, Upstream PR #14171, @brb)
* Revert commits that skip running tests on CI with EKS (Backport PR #14088, Upstream PR #13961, @christarazi)
* test: Avoid installing Cilium for K8sBandwidth if tests are skipped (Backport PR #14212, Upstream PR #14185, @pchaigno)
* test: Avoid use of install with NFS (Backport PR #14212, Upstream PR #14191, @pchaigno)
* test: Bump migrate-svc-test image (Backport PR #14060, Upstream PR #14044, @brb)
* test: Don't wait for network to schedule test-verifier (Backport PR #14116, Upstream PR #14074, @pchaigno)
* test: Switch from Cilium test logger to Ginkgo (Backport PR #14060, Upstream PR #13754, @manuelbuil)
* test: Use NFS by default in test VMs (Backport PR #14212, Upstream PR #13983, @pchaigno)

**Misc Changes:**
* Add Registry Credentials to Tests (Backport PR #14010, Upstream PR #13959, @nathanjsweet)
* Added new Cilium agent option --debug-verbose=policy to log policy map updates. (Backport PR #14212, Upstream PR #14112, @jrajahalme)
* bpf: don't override DROP_FRAG_NOT_FOUND error (Backport PR #14088, Upstream PR #13936, @jibi)
* bpf: Fix IS_BPF_HOST macro (Backport PR #14270, Upstream PR #14255, @pchaigno)
* bpf: Fix program size issue with host firewall in IPv4-only mode (Backport PR #14246, Upstream PR #14232, @pchaigno)
* bpf: revert changes to metrics directions contants (Backport PR #14246, Upstream PR #14217, @jibi)
* bugtool: Add lsmod (Backport PR #14212, Upstream PR #14145, @joestringer)
* ci/github: Replace set-env command by echo command (Backport PR #14060, Upstream PR #14053, @sayboras)
* cilium: disable bind-protection in kube-proxy free probe mode (Backport PR #14212, Upstream PR #14182, @borkmann)
* cilium: fix redirect limits on multi dev case (Backport PR #14060, Upstream PR #13884, @borkmann)
* contrib: Add script to bump stable docker image tags (Backport PR #14088, Upstream PR #13364, @joestringer)
* dnsproxy: print total number of rules if too many (Backport PR #14060, Upstream PR #13991, @kkourt)
* doc/hubble-internals: update Hubble Relay section to reflect current state (Backport PR #14060, Upstream PR #14042, @Rolinh)
* doc: Link hubble metrics to L7 visibility (Backport PR #14212, Upstream PR #13923, @mandarjog)
* docs: Correct typo in upgrade notes (Backport PR #14246, Upstream PR #14214, @sayboras)
* docs: encryption: interface clarifications (Backport PR #14088, Upstream PR #13660, @kkourt)
* docs: Fix helm install command in kubeadm getting started guide (Backport PR #14088, Upstream PR #14061, @pchaigno)
* docs: Fix wording around labels configuration (Backport PR #14088, Upstream PR #14064, @joestringer)
* docs: Improve visibility limitations docs (Backport PR #14116, Upstream PR #14073, @joestringer)
* docs: Replace outdated backporting docs with link (Backport PR #14060, Upstream PR #13986, @twpayne)
* fqdn: Fix confusion of ToFQDNs vs. DNS rules. (Backport PR #14088, Upstream PR #14012, @jrajahalme)
* fqdn: Fix unit test (Backport PR #14116, Upstream PR #14085, @jrajahalme)
* helm/hubble-relay: fixed indentation error (Backport PR #14088, Upstream PR #14029, @PranaviRoy)
* helm/hubble-ui: fixed ingress configuration on EKS clusters (Backport PR #14060, Upstream PR #14023, @mvisonneau)
* helm: 'upgradeCompatibility' needs to be a string, not a float64 (Backport PR #14088, Upstream PR #14019, @mvisonneau)
* helm: Fix description for clustermesh (Backport PR #14212, Upstream PR #14163, @joestringer)
* Hubble-Relay: proxy metadata from originating client (Backport PR #14060, Upstream PR #13994, @nathanjsweet)
* Improve the Helm readme (Backport PR #14116, Upstream PR #14083, @joestringer)
* Improve the Helm readme (Backport PR #14139, Upstream PR #14083, @joestringer)
* ipam: Remove unnecessary deep copies (Backport PR #14116, Upstream PR #14078, @christarazi)
* kvstore: add tests for etcd ratelimiter implementation (Backport PR #14116, Upstream PR #14063, @fristonio)
* Log host routing fallback & document kernel requirement (Backport PR #14270, Upstream PR #14263, @pchaigno)
* Mention kernel MTU bug in IPv4 fragmentation document (Backport PR #14088, Upstream PR #14030, @liuyuan10)
* metrics: add cilium_datapath_nat_gc_entries (Backport PR #14116, Upstream PR #12832, @ArthurChiao)
* node: Fix ineffectual assignment (Backport PR #14270, Upstream PR #14256, @brb)
* node: Misc neighbor related changes (Backport PR #14116, Upstream PR #14070, @brb)
* test: use kubectl helper for cilium cleanup in upgrade tests (Backport PR #14212, Upstream PR #14165, @fristonio)
* Update troubleshooting docs for cilium-sysdump (Backport PR #14139, Upstream PR #14111, @christarazi)

**Other Changes:**
* Fix potential panic in Hubble when applying time range on non-flow events, e.g. LostEvent. (#14197, @tklauser)
* v1.9: Update Go to 1.15.5 (#14014, @tklauser)

## v1.9.0

Summary of Changes
------------------

Note: The summary of changes represents the diff between v1.8.5 and v1.9.0

**Major Changes:**
* Add deny policies (#12716, @aanm)
* Add Maglev consistent hashing to kube-proxy replacement for NodePort/LoadBalancer/externalIPs services (#13131, @brb)
* Add support for k8s 1.19 (#12611, @aanm)
* build: Experimental multi-platform images (#12013, @errordeveloper)
* change default docker image repository from docker.io to quay.io (Backport PR #13957, Upstream PR #13937, @aanm)
* cilium: switch to mq/fq and add bandwidth manager (#12868, @borkmann)
* Cilium operator HA mode (#12409, @fristonio)
* Direct routing performance improvement through new tc/BPF-only based host forwarding mode w/o passing to upper stack. (#13330, @borkmann)
* Helm charts have been fully re-structured to a single chart for cilium with no dependency on sub-charts. More than 170 global values have been properly scoped to the cilium chart with sane defaults defined. Users upgrading from prior versions of cilium should be sure to read the upgrade guide for specific instructions. (#13259, @seanmwinn)
* Implement eBPF native redirect functionality (#12831, @aditighag)
* Implement proxy redirection logic in eBPF (#11279, @joestringer)
* Support for external workloads (e.g., VMs) has been added (beta) (Backport PR #13964, Upstream PR #13940, @jrajahalme)
* Update Go to 1.15.4 (#13946, @tklauser)

**Minor Changes:**
* Add a `node` label to agent metrics. (#12965, @diversario)
* Add an alternative method to generate the Hubble mTLS certificates based on Kubernetes Jobs. (#13449, @gandro)
* Add automatic generation of CRDs for CNP and CCNP (#11607, @christarazi)
* Add blacklistConflictingRoutes parameter to config chart (#11368, @donch)
* Add BPF map sizes to output of `cilium status --verbose` (#12660, @tklauser)
* add CLI for checking kernel capabilities (#11339, @brandshaide)
* Add config point to send bugtool to stdout (#12837, @willdeuschle)
* Add configurable enable-k8s-endpoint-slice (#13029, @Antiarchitect)
* Add detection of unknown fields for policies (CNP & CCNP) in preflight (#13180, @christarazi)
* add hint to make use of CLI cilium kernel-check in system requirements (#13164, @brandshaide)
* Add metric 'cilium_k8s_event_lag_seconds' for calculated lag of Kubernetes events (Backport PR #13751, Upstream PR #13702, @aanm)
* Add Resource Quotas in Cilium Namespace for GKE installations (Backport PR #13957, Upstream PR #13878, @aanm)
* Adds API for LRP introspection (Backport PR #13720, Upstream PR #13327, @Weil0ng)
* api/v1: Add ability to query flows by HTTP method (#13328, @glibsm)
* api/v1: Add drop_reason_desc enum to Flow API (#13301, @kAworu)
* Automate generation of CiliumNode, CiliumIdentity, & CiliumEndpoint CRDs using controller-gen (#11476, @aanm)
* Azure IPAM: don't install bogus "PodCIDR via cilium_host" route by default (#13098, @bpineau)
* Azure IPAM: option to ignore primary addresses (#13415, @bpineau)
* build: Skip 'clean' and 'clean-container' before docker image builds. (#12463, @jrajahalme)
* cilium/build Add GOPATH check for generate-k8s-api (#12695, @aditighag)
* cleanup/ipam: Remove hostscope-legacy IPAM option (#12984, @sayboras)
* cli: Add cilium bpf lb maglev get $SVC_ID (#13586, @brb)
* cmd: Allow to filter metrics with regexp (#12590, @mrostecki)
* Create healthz HTTP endpoint for kube-proxy replacement (#11733, @soumynathan)
* datapath: Decouple IPV4_MASQUERADE from IPV4_NODEPORT (Backport PR #13751, Upstream PR #13606, @brb)
* Differentiate load-balancer keys in the datapath by protocol (in addition to address and port), so that cilium can correctly differentiate protocols between services. (#12628, @nathanjsweet)
* docker: update Hubble CLI to v0.7.0 (Backport PR #13688, Upstream PR #13643, @Rolinh)
* Enable host firewall without remote-node identity (#12878, @pchaigno)
* Enable support for user managed identities in the `cilium-operator` (#12592, @ungureanuvladvictor)
* Envoy metrics from the Cilium host proxy are exported via a prometheus port. (#12949, @jrajahalme)
* envoy: Add development support for Envoy filter metadata enforcement (#12500, @jrajahalme)
* envoy: Move to Envoy API v3 (#12331, @jrajahalme)
* envoy: Optimize list of allowed remote security IDs (#12926, @jrajahalme)
* envoy: Stop using deprecated filter names (#13351, @jrajahalme)
* envoy: Update to release 1.14.4 (#12484, @jrajahalme)
* Fail to start if IPSec and devices are used together (#13069, @tobiaskohlbau)
* Fix typo in AKS getting started guide (#12505, @ap4y)
* fix(3891): mirror parent pod labels to cilium endpoints (#12406, @fristonio)
* fix(9966): fix creation of multiple KVStore watchers for CNPs and CCNPs (#12323, @fristonio)
* Follow-up for `cilium ip list` identity lookup (#13375, @tklauser)
* helm: allow setting conntrack-gc-interval in cilium-config cm (#13061, @ghouscht)
* helm: bump hubble-ui patch version in chart values (#13313, @genbit)
* helm: configurable annotations for agent and operator pods (#12189, @mvisonneau)
* helm: keep encryption interface value undefined (Backport PR #13688, Upstream PR #13677, @kkourt)
* Helm: support affinity settings for operator (#13548, @youssefazrak)
* hubble-relay: add support for (m)TLS (#12900, @Rolinh)
* hubble/metrics: Add protocol labels to `flows_processed_total` (#12742, @sayboras)
* hubble: add support for (m)TLS (#12906, @Rolinh)
* hubble: Add support for PERF_RECORD_LOST (#12475, @gandro)
* install/kubernetes: Allow update of "remote" secret (Backport PR #13812, Upstream PR #13784, @jrajahalme)
* k8s: Only wait for the needed CRDs (Backport PR #13903, Upstream PR #13820, @jrajahalme)
* Kafka proxy is now implemented in Cilium Go extensions for Envoy, which adds egress policy enforcement support for Kafka L7 policies. (#12548, @jrajahalme)
* lbmap: Sort backends before creating maglev lookup table (#13461, @brb)
* maglev: Add native implementation of murmur3 (#13501, @brb)
* maglev: Perf related follow up items (#13431, @brb)
* Make pods IPv6 address discoverable on node's subnet (#12193, @anfernee)
* Makes k8sNodeIP the preferred IP when initializing NodePort addresses. (#13223, @networkop)
* metrics: Deprecate non-conventional prometheus metrics (#12826, @sayboras)
* monitor: Add option to disable monitor independently of Hubble (#12540, @gandro)
* operator: Remove options deprecated in v1.8 (#12676, @pchaigno)
* pkg/hubble/filters: Add HTTP path filters (#13425, @twpayne)
* pkg/option: add option to configure BPF lbmap size (#12843, @fristonio)
* policy/trace: Support recent api versions for {Deployment, ReplicaSet} (#12903, @sayboras)
* Remove "blacklist-conflicting-routes" option from cilium-agent. Get rid of automatic blacklisting of local routes that conflicts with cilium. It is now the responsibility of users is to make sure that the PodCIDR used on a node does not conflict with any existing routing or IPs on the node. (#12986, @fristonio)
* Remove agent options deprecated in v1.8 (#12642, @tklauser)
* Remove deprecated `cilium bpf proxy` commands (#12682, @tklauser)
* Remove DNS poller after being deprecated in Cilium 1.8. (#13229, @tklauser)
* Remove PodSecurityPolicy in helm due to deprecation and future removal in Kubernetes (#12469, @sayboras)
* Removed helm 2 support. Move requirements.yaml to Chart.yaml and set min. helm version to helm 3 (#12412, @sayboras)
* Rename IPAM API metrics to be `ec2` specific. (#12502, @ungureanuvladvictor)
* Services support for external workloads (Backport PR #13964, Upstream PR #13901, @jrajahalme)
* Set GOPATH in CI VM (#12717, @aditighag)
* Show names for reserved identities in `cilium ip list`. (#13304, @tklauser)
* The metrics `endpoint_regeneration_time_stats` and `policy_regeneration_time_stats` had their 'buildTime' scopes renamed to 'total'. (#13323, @ti-mo)
* TLS certificates hot reloading for Hubble and Relay (#13249, @kAworu)
* Update Kubernetes dependencies to v1.19.1 and etcd to 3.4.13 (#13134, @aanm)
* Update Kubernetes libraries to 1.19.2 (#13199, @aanm)
* Upgrade CRDs (apiextensions) from v1beta1 to v1 (#11477, @aanm)
* USERS: Add Alibaba Cloud usage (#13453, @tgraf)
* VM Support Refinement (Backport PR #13786, Upstream PR #13666, @jrajahalme)

**Bugfixes:**
* Add log when allocate nodecidr failure (Backport PR #13688, Upstream PR #13299, @konghui)
* add missing '| quote' for disableEnvoyVersionCheck (Backport PR #13941, Upstream PR #13911, @rkage)
* Add the `update-ec2-apdater-limit-via-api` flag to the `cilium-operator-aws`. (#12410, @ungureanuvladvictor)
* agent: fix panic when clustermesh not set and cluster-id is non-zero (#12944, @ArthurChiao)
* bpf: don't access TCP flags for non initial IPv4 fragments (Backport PR #13957, Upstream PR #13908, @jibi)
* bpf: Fix --force-local-policy-eval-at-source=false (Backport PR #13812, Upstream PR #13769, @joestringer)
* bpf: fix disable PolicyVerdictNotification broken (Backport PR #13941, Upstream PR #13921, @ArthurChiao)
* build: bpf: Fix cross-compilation of gcc targets (Backport PR #13812, Upstream PR #13709, @mrostecki)
* build: don't disable compiler optimizations and inlining on unstripped builds (Backport PR #13903, Upstream PR #13895, @tklauser)
* cilium, ipsec: Do revalidate_data_pull() early in do_decrypt() case (#13500, @jrfastab)
* cilium: allow encryption/decryption to coexist with bpf_host logic (#13238, @jrfastab)
* endpoint: Avoid benign error messages on restoration (Backport PR #13720, Upstream PR #13667, @pchaigno)
* Fix bug in cluster-pool IPAM mode where the user is never alerted of a node CIDR allocation failure (Backport PR #13957, Upstream PR #13916, @christarazi)
* Fix bug where Cilium leaks a goroutine when an endpoint is deleted. This leak, if left running in a high pod churn environment, can cause Cilium to exceed its memory usage and get OOM killed. (Backport PR #13720, Upstream PR #13683, @christarazi)
* Fix bug where events cannot be enqueued during endpoint restoration (#13608, @christarazi)
* Fix dynamic NAT table size calculation if CT map sizes are configured statically. (Backport PR #13903, Upstream PR #13844, @tklauser)
* Fix garbage collection of CEPs - delete them in tranches and not every 5 minutes. (Backport PR #13751, Upstream PR #13728, @aanm)
* Fix panic on cilium-agent startup when restoring LB source range maps (Backport PR #13856, Upstream PR #13842, @aanm)
* Fix potential bug in ENI IPAM when multiple updates at the same time are performed to the a CiliumNode resource (Backport PR #13688, Upstream PR #13612, @christarazi)
* Fixed installation instructions for K3s and Kubernetes Network Policy enforcement (Backport PR #13812, Upstream PR #13783, @aanm)
* Fixes panic when setting up encryption with azure IPAM (#13593, @aanm)
* fqdn: Add a nil check for security id lookup (Backport PR #13941, Upstream PR #13886, @aditighag)
* fqdn: keep IPs alive if their name is alive (Backport PR #13941, Upstream PR #13914, @kkourt)
* go.mod: update cilium/ipam library with bug fixes (Backport PR #13856, Upstream PR #13810, @aanm)
* Helm: Adapt Hubble ingress template to the new Ingress API (Backport PR #13751, Upstream PR #13682, @youssefazrak)
* Hubble-relay now proxies the GRPC context to its servers. (#12865, @nathanjsweet)
* hubble/relay: flush old flows when the buffer drain timeout is reached (Backport PR #13786, Upstream PR #13776, @Rolinh)
* hubble: Fix reply state unknown being interpreted as false (Backport PR #13786, Upstream PR #13750, @gandro)
* Ignore "Failed to load program" errors when Cilium agent is being teared down (#13281, @mrostecki)
* Increment the default value of maximum garbage collected security identities from 250 to 2500 per minute (Backport PR #13941, Upstream PR #13907, @aanm)
* k8s/watchers: fix data race in (*K8sWatcher).addK8sServiceV1 (Backport PR #13688, Upstream PR #13604, @tklauser)
* kvstore: Do not write to read-only keys in join-cluster mode (#13524, @jrajahalme)
* lbmap: Correct issue that port info display error (Backport PR #13624, Upstream PR #13244, @Jianlin-lv)
* lock: fix data race in (*SemaphoredMutexSuite).TestParallelism() (#13570, @tklauser)
* redirectpolicy: Check lrp type before restoring lrp service (Backport PR #13786, Upstream PR #13741, @aditighag)
* reduce cardinality of prometheus labels (Backport PR #13720, Upstream PR #13699, @aanm)
* Valid CNP and CCNP 'matchLabel' values must be 63 characters or less and must be empty or begin and end with an alphanumeric character ([a-z0-9A-Z]) with dashes (-), underscores (_), dots (.), and alphanumerics between. (#12117, @aanm)

**CI Changes:**
* .github, .travis: bump golangci-lint to 1.31 (#13245, @tklauser)
* .github: Add action to build all BPF permutations (Backport PR #13786, Upstream PR #13770, @joestringer)
* Add portmap+proxy conformance test (#12758, @joestringer)
* bpf: Compile test POLICY_VERDICT_NOTIFY (Backport PR #13957, Upstream PR #13922, @pchaigno)
* build: Fix CC for CGO compilation for Arm (#13605, @errordeveloper)
* build: Fix shellcheck errors (#12407, @errordeveloper)
* build: Fix shellcheck linter (#12432, @errordeveloper)
* build: Simplify how `BPF_SRCFILES` is set in git-free mode (#12326, @errordeveloper)
* build: Update runtime image, add a guard rail (#12435, @errordeveloper)
* checkpatch: switch to an external container image (Backport PR #13688, Upstream PR #13642, @qmonnet)
* ci/gke: Fix Hubble Relay on GKE (#13025, @gandro)
* ci: add DeleteLong to accommodate longer resource deletion (#12743, @nebril)
* ci: add startup-script to local node repo (#12359, @nebril)
* ci: Avoid null pointer exception in non-pr builds (Backport PR #13786, Upstream PR #13779, @nebril)
* ci: Delete cilium-node-init ds before cilium install (#12725, @nebril)
* ci: fix runtime kernel version typo (#13255, @nebril)
* ci: lock docker build (#13258, @nebril)
* ci: lower ginkgo timeout (#12570, @nebril)
* ci: pass race-detection env vars to vagrant boxes (#13253, @nebril)
* ci: Print hint to fix auto-generated file checks (Backport PR #13751, Upstream PR #13718, @sayboras)
* ci: release gke nodepool (#12382, @nebril)
* ci: Retry gke cluster scaling (#12616, @nebril)
* ci: run baseline perf tests nightly (Backport PR #13688, Upstream PR #13376, @nebril)
* ci: Run policy stress tests on a nightly basis (#13306, @nebril)
* ci: skip tests involving L7 proxy if race detector is enabled (Backport PR #13786, Upstream PR #13755, @tklauser)
* ci: Start separate registries for gke builds (#12782, @nebril)
* Fix focus in jenkinsfile (Backport PR #13812, Upstream PR #13791, @nebril)
* Fix overall races in the Cilium code base (#12789, @aanm)
* Fix typo in gke cluster release script (#12681, @nebril)
* Fix upgrade testing for v1.9-dev (#12309, @aanm)
* Fixes LRP service deletion/restoration and adds e2e tests for LRP. (#13360, @Weil0ng)
* images/cilium-test: New test suite image (#12941, @errordeveloper)
* images: Fix handing of dev suffix when tag is used (cilium/image-tools#76) (Backport PR #13688, Upstream PR #13639, @errordeveloper)
* images: Fix handling of git tags (#13602, @errordeveloper)
* Run ci with race detection (#13215, @nebril)
* Smoke test with k8s 1.19 (#13021, @sayboras)
* smoke-test: Additional logs in case of error (#13017, @pchaigno)
* smoke-test: Print pod/deploy state on failure (#12689, @joestringer)
* smoketest: Add image tag as latest for cilium agent and operator (Backport PR #13624, Upstream PR #13664, @sayboras)
* test, images: update helm to 3.3.4 (#13277, @tklauser)
* test/bpf: Fix XDP loading in verifier-test.sh (Backport PR #13941, Upstream PR #13927, @pchaigno)
* test/helpers: dump rbac information on k8s test failure (#12866, @fristonio)
* test/Vagrantfile: disable unattended-upgrades (#11826, @qmonnet)
* test: add missing artii cert-key pair (#12303, @nebril)
* test: Add nightly policy stress test (#12933, @jrajahalme)
* test: add services conformance test to kubernetes upstream suite (#13176, @fristonio)
* test: auto correct grafana port in test vagrant vms (#13202, @nebril)
* test: bump latest helm chart version (#12093, @aanm)
* test: bump stable version to 1.8 (#12094, @aanm)
* test: check logs of operator and hubble relay (#13266, @nebril)
* test: don't check logs if kubectl is nil (#13389, @nebril)
* test: enable operator metrics in stresspolicy suite (#13343, @nebril)
* test: fix build after merge of #13107 and #13036 (#13124, @tklauser)
* test: fix cilium policy action for clusterwide policies (#13464, @fristonio)
* test: Fix kube-proxy-free on GKE due to wrong k8sServiceHost value (#13559, @pchaigno)
* test: fixed failing missed k8s tests (#12887, @fristonio)
* test: gather init container logs (#12762, @nebril)
* test: improve debugging of dns issues, add retries to external conn check (Backport PR #13720, Upstream PR #13694, @nebril)
* test: Improve logging of errors that must be investigated (#12598, @joestringer)
* test: Increase range of accepted values for bandwidth test (#13103, @pchaigno)
* test: Increase timeout for waiting LB IP addr on GKE (#13557, @brb)
* test: Increase timeout on privileged unit tests (Backport PR #13957, Upstream PR #13944, @pchaigno)
* test: make it possible to pass PROVISION when running tests via make (#12253, @Rolinh)
* test: Move RuntimeVerifier to K8sVerifier (Backport PR #13957, Upstream PR #12658, @pchaigno)
* test: put hubble tests on quarantine in GKE (#12746, @nebril)
* test: Remove use of undefined field in TLS test (Backport PR #13856, Upstream PR #13850, @jrajahalme)
* test: Restart unmanaged pods in log gatherer ns (#13413, @nebril)
* test: Simplify Cilium namespace handling (#13107, @pchaigno)
* test: skip new tests in upstream k8s (Backport PR #13812, Upstream PR #13758, @aanm)
* test: Test NodePort BPF with L7 proxy (#12434, @brb)
* test: Try out all GKE clusters in random order (#12661, @jrajahalme)
* test: Update coredns image tag from 1.2.2 to 1.2.6 for k8s 1.12 (#12869, @jrajahalme)
* test: update k8s test versions to 1.16.14, 1.17.11 and 1.18.8 (#12880, @aanm)
* test: update runtime test descriptions after removal of DNS poller (#13391, @tklauser)
* test: Use `--no-cache` docker flag in gke builds (#12765, @nebril)
* test: use correct test image in nightlies, restart pods in gke tests (#13322, @nebril)
* Testing in DualStack K8s environment (#13288, @fristonio)
* travis: enable vm jobs of aarch64 (#13033, @Jianlin-lv)
* update cilium and hubble-relay dockerfiles to use built-in buildx ARGs (#13551, @xUnholy)
* updating operator dockerfile with built-in buildx ARGs (#13462, @xUnholy)
* Use Docker buildkit in the CI (#12112, @jrajahalme)

**Misc Changes:**
* .gitattributes: Mark cmdref files as generated (#12960, @pchaigno)
* .github/cilium-actions: remove github action helper message (#12300, @aanm)
* .github: Bump projects after v1.8.0 release (#12266, @joestringer)
* .github: run Go prechecks as GitHub action (#12693, @tklauser)
* .github: set kind/bug label in bug issue template (#12872, @tklauser)
* .github: Update issue template (#12131, @errordeveloper)
* .github: Update issue template for flakes (#12797, @pchaigno)
* .gitignore: Ignore test/cilium.conf.ginkgo (#12133, @pchaigno)
* .travis: Fix probes_test failure on Arm64 (#12335, @Jianlin-lv)
* 1.9 Upgrade guide misc updates (Backport PR #13903, Upstream PR #13874, @kkourt)
* Add finleap connect as cilium user (#12792, @christianhuening)
* add Interface index to the CNI result (#12706, @mazzy89)
* Add missing Node annotations in documentation (#12575, @dabcoder)
* Add ND responder on native NIC to make endpoint IPv6 address discoverable on node network. (#12086, @anfernee)
* add_vagrant_box.sh: fix and document the script (#12264, @qmonnet)
* Added support for non-k8s nodes to register to a k8s cluster via new option `--join-cluster` (#13309, @jrajahalme)
* Address code tidiness items for bpf tproxy (#13050, @joestringer)
* adds a LICENSE file for all direct and indirect dependencies, include… (Backport PR #13964, Upstream PR #13918, @seanmwinn)
* allocator/podcidr: fix formatting issue with debug message (#13447, @aanm)
* allocator/podcidr: fix race conditions in tests (#13567, @aanm)
* api-limiter: Make auto adjust test less flaky (#13568, @twpayne)
* api/v1: Compile hubble proto in docker (#12931, @glibsm)
* api/v1: Include Makefile in the hubble proto image (#13147, @glibsm)
* api/v1: update swagger to 0.25.0 (#12673, @aanm)
* api: do not require grpc service implementations to embed stubs (#12808, @Rolinh)
* api: re-generate protobuf code (#12677, @Rolinh)
* Avoid loops with local-redirect service translation (#13287, @aditighag)
* backporting: Clean tmp files after backport with conflicts (Backport PR #13751, Upstream PR #13707, @pchaigno)
* backporting: Properly escape commit message when used as regex (Backport PR #13812, Upstream PR #13756, @gandro)
* backporting: Update labels by default when submitting backport (Backport PR #13720, Upstream PR #13703, @pchaigno)
* bandwidth: adjust version to 5.1 in log message (Backport PR #13856, Upstream PR #13817, @tklauser)
* bpf, cocci: small follow-ups (#12962, @borkmann)
* bpf: clean up .PHONY targets for Makefiles (#13142, @qmonnet)
* bpf: configure mtu for the created $ENCAP_DEV (#12972, @Jianlin-lv)
* bpf: Do not try to open map when creating unpinned map (#13427, @brb)
* bpf: fix session affinity timeout test flake (Backport PR #13903, Upstream PR #13859, @fristonio)
* bpf: fix up lrp for v4-in-v6 sockets (Backport PR #13688, Upstream PR #13638, @borkmann)
* bpf: minor fix to Makefile and includes (#12819, @qmonnet)
* bpf: redirect fixes and follow-ups (Backport PR #13688, Upstream PR #13646, @borkmann)
* bpf: redirect_neigh signature fix (Backport PR #13786, Upstream PR #13747, @borkmann)
* bpf: remove dead stores in tail_nodeport_nat_ipv{4,6} (#12334, @tklauser)
* bpf: Remove duplicate command from init.sh (#13468, @pchaigno)
* bpf: simplify local redirect a bit for sock lb (Backport PR #13624, Upstream PR #13613, @borkmann)
* bpf_host: describe the position of {to,from}-{host,netdev} in the data path (#13483, @ti-mo)
* build Add a debug make target (#13522, @aditighag)
* build: Opt-in for docker build commit requirement (#12365, @jrajahalme)
* build: Stabilize bpf file sort order. (#12464, @jrajahalme)
* bump Alpine base image to 3.12 (#13403, @Rolinh)
* Bump aws/aws-sdk-go-v2 to 0.23.0 from 0.18.0 (#12393, @ungureanuvladvictor)
* Bump readme for v1.8.0 release (#12227, @joestringer)
* certloader: Fix reload on K8s Secret/ConfigMap update (Backport PR #13751, Upstream PR #13636, @gandro)
* chore(ci): Correct indentation for github action workflows (#12828, @sayboras)
* chore(lint): To enable linter for test files (#12402, @sayboras)
* chore(misspell): To enable misspell linter for go codes (#12490, @sayboras)
* ci: Do not label control plane nodes with cilium.io/node (#13504, @mrostecki)
* Cilium Agent will now wait for CRDs to become available instead of the Operator; the Operator will register the CRDs (#13418, @christarazi)
* Cilium Operator will now handle CRD operations on behalf of Cilium Agent (#13285, @christarazi)
* cilium, docs: small readme update (Backport PR #13856, Upstream PR #13846, @borkmann)
* cilium, helm: rename helm load balancer related parameters (Backport PR #13856, Upstream PR #13841, @borkmann)
* cilium/cmd: Cosmetic code clean-ups (Backport PR #13812, Upstream PR #13762, @twpayne)
* cilium/cmd: remove deprecated rev flag used with `cilium service update` (#12692, @tklauser)
* cilium: bandwidth manager e2e tests (#12961, @borkmann)
* cilium: enable more ci tests for bw manager (#13030, @borkmann)
* cilium: make bandwidth manager dependent on 5.1+ (#13117, @borkmann)
* cilium: minor lb follow-ups (Backport PR #13836, Upstream PR #13821, @borkmann)
* cilium: Node to node encryption is not supported with vxlan (Backport PR #13856, Upstream PR #13800, @jrfastab)
* cleanup: remove unused code (#13381, @florianl)
* cleanup: Use value receiver instead of pointer receiver for CIDR (#12563, @sayboras)
* clustermesh_doc: Adding shared service doc in clustermesh (#13145, @chowmean)
* cocci: Fix false positive in null.cocci (#12422, @pchaigno)
* CODEOWNERS: Add contrib/ (#12641, @pchaigno)
* CODEOWNERS: add hubble as codeowner for hubble related helm charts (#12431, @Rolinh)
* CODEOWNERS: change docs to docs-structure (#13589, @aanm)
* CODEOWNERS: fix owner assignment for hubble related helm charts (#13540, @Rolinh)
* CODEOWNERS: Include .github directory (#12135, @pchaigno)
* CODEOWNERS: Update Kubernetes owners (#12883, @christarazi)
* common: remove unused func FindEPConfigCHeader (#12425, @tklauser)
* connectivity-check: Check cue file formatting in Github Action (#13088, @sayboras)
* connectivity-check: Fix YAML inconsistency (#13073, @joestringer)
* connectivity-check: Fix YAML inconsistency (#13075, @sayboras)
* contrib/checkpr.sh: fix job name (#12236, @qmonnet)
* contrib/vagrant: add hosts field in all generated certificates (#12802, @aanm)
* contrib/vagrant: Allow to start a single VM (#12591, @mrostecki)
* contrib: extend checkpr.sh to watch for Smoke Tests completion (#12058, @qmonnet)
* contrib: match commit subject exactly when searching for upstream commit (Backport PR #13688, Upstream PR #13630, @tklauser)
* contrib: provision cilium-operator before cilium (#13157, @aanm)
* contrib: Use fixed string search in grep (#12634, @christarazi)
* Correct help string for kubernetes_events_received_total metric (#12316, @ungureanuvladvictor)
* daemon: Disable bandwidth manager if IPSec is enabled (#13105, @pchaigno)
* daemon: Don't check XDPDevice in DevicePreFilter case (Backport PR #13812, Upstream PR #13794, @brb)
* datapath/connector: remove unused funcs (#13374, @tklauser)
* datapath/linux/probes: make ErrKernelConfigNotFound a sentinel error value (#12339, @tklauser)
* datapath/linux/route: use upstream function to list rules (#13380, @florianl)
* datapath/linux: document methods that must be called with mutex held (#12472, @tklauser)
* datapath/maps: drop cilium_policy_reserved_* maps from to-be-removed maps (#13151, @tklauser)
* datapath: change log level to info if kernel config is not available (#10317, @fristonio)
* Disable bandwidth-manager by default for new deployments (#13515, @qmonnet)
* doc: add concepts/observability section, document Hubble in cluster mesh (#13307, @Rolinh)
* doc: Add workarounds section to e2e testing guide (#12520, @christarazi)
* doc: correct operation command of manual installation (#12022, @Jianlin-lv)
* doc: document how to use custom TLS certificates with Hubble (#13291, @Rolinh)
* doc: Fix a typo (Backport PR #13957, Upstream PR #13942, @aditighag)
* doc: Handle READTHEDOCS_VERSION in preview (#12158, @michi-covalent)
* doc: Rename BPF to eBPF (#12836, @tgraf)
* doc: Update AUTHORS file (#12142, @tgraf)
* doc: Update AUTHORS file (#13106, @kAworu)
* doc: update Hubble doc for 1.9 (Backport PR #13751, Upstream PR #13669, @Rolinh)
* doc: Update OpenShift GSG (Backport PR #13751, Upstream PR #13713, @michi-covalent)
* docker: Generate .dockerignore for BUILDKIT (#12375, @jrajahalme)
* docker: update Hubble CLI to v0.7.1 (Backport PR #13720, Upstream PR #13693, @Rolinh)
* docker: Update hubble image (#12608, @glibsm)
* docs(dev): Update the step for basic formating/lint checks (#12617, @sayboras)
* docs(e2e): Update kube version in e2e docs (#12769, @sayboras)
* docs(operator): Update coredns plugin from proxy to forward (#12578, @sayboras)
* docs/gettingstarted: Fix minor issues in Metrics guide (Backport PR #13720, Upstream PR #13668, @twpayne)
* docs/gettingstarted: Update AKS instructions (Backport PR #13688, Upstream PR #13632, @twpayne)
* docs: Add a note about systemd 245 rp_filter issue (Backport PR #13751, Upstream PR #13717, @brb)
* docs: Add Azure troubleshooting tips (Backport PR #13856, Upstream PR #13714, @jrajahalme)
* docs: add command to run focused k8s bandwidth tests in CI (#13022, @fristonio)
* docs: Add connectivity-check to Hubble getting started guide (#13423, @twpayne)
* docs: Add gsg cross-link for cluster-pool IPAM (Backport PR #13812, Upstream PR #13771, @joestringer)
* docs: Add how to remove kube-proxy from existing clusters (Backport PR #13856, Upstream PR #13808, @brb)
* docs: Add Hubble to SIGs table (#13563, @b3a-dev)
* docs: add instructions to update Kubernetes libraries (Backport PR #13856, Upstream PR #12784, @aanm)
* docs: Add link to CI failure triage to contributing guide (#13463, @twpayne)
* docs: Add note for users upgrading K8s (#13273, @christarazi)
* docs: Add SmileDirectClub to Cilium users (#12738, @particledecay)
* docs: Adjust the hubble CLI definition (#13546, @glibsm)
* docs: Clarify bumping the runtime images step (Backport PR #13786, Upstream PR #13781, @christarazi)
* docs: clarify janitor duty for backport PRs (#11988, @aanm)
* docs: Clarify when GITHUB_TOKEN is needed (#13407, @pchaigno)
* docs: Do not over promise in BPF-masq docs (Backport PR #13751, Upstream PR #13733, @brb)
* docs: docker: update some command outputs (Backport PR #13720, Upstream PR #13695, @jibi)
* docs: Document make target for operator Docker image (#13385, @pchaigno)
* docs: Document new Vagrant start.sh argument (#12601, @pchaigno)
* docs: Document RTD step for old branch on release (#12519, @joestringer)
* docs: Document some caveats of kube-proxy replacement (Backport PR #13688, Upstream PR #13640, @brb)
* docs: document test-only ci command (Backport PR #13786, Upstream PR #12268, @nebril)
* docs: Fix broken formating and link (Backport PR #13688, Upstream PR #13661, @pchaigno)
* docs: Fix build (#13059, @joestringer)
* docs: fix minor issue in cilium support with external etcd gsg (Backport PR #13688, Upstream PR #13651, @fristonio)
* docs: fix rst table formatting in for stable releases (#12397, @borkmann)
* docs: Fix shell session highlighting (Backport PR #13720, Upstream PR #13704, @joestringer)
* docs: fix typo (#12684, @kkourt)
* docs: Fix typo in add_vagrant_box path (#12421, @pchaigno)
* docs: GKE - fix some indentation, specify bash code segments (Backport PR #13688, Upstream PR #13645, @ti-mo)
* docs: improve Host Firewall GSG (Backport PR #13720, Upstream PR #13673, @qmonnet)
* docs: Janitors should update backport PR labels (#12644, @pchaigno)
* docs: Mark Flannel (beta) integration as non-preferred/deprecated (Backport PR #13903, Upstream PR #13885, @andreek)
* docs: mention install/upgrade.rst in contrib guide (#13345, @ti-mo)
* docs: NodePort XDP on GCP is not supported (Backport PR #13688, Upstream PR #13665, @gandro)
* docs: Remove "Experimental" from GKE E2E test section (#13426, @pchaigno)
* docs: remove repeated words (Backport PR #13751, Upstream PR #13719, @tklauser)
* docs: Update CI documentation following Helm refactoring (#13561, @pchaigno)
* docs: update CODEOWNERS review process (Backport PR #13786, Upstream PR #13764, @aanm)
* docs: update container image dependencies and distribution process (#11853, @aanm)
* docs: Update contributing docs (#13437, @twpayne)
* docs: Update for clustermesh-apiserver (Backport PR #13903, Upstream PR #13855, @joestringer)
* docs: update NodePort XDP kube-proxy-free GSG for Azure AKS (Backport PR #13720, Upstream PR #13685, @tklauser)
* docs: Updates kube-proxy-free getting started guide (Backport PR #13720, Upstream PR #13692, @pchaigno)
* docs: Various LRP gsg fixups (Backport PR #13751, Upstream PR #13737, @nebril)
* Documentation: Fix Loadbalancer Guide for Clustermesh (Backport PR #13856, Upstream PR #13822, @nathanjsweet)
* Enable doc building for arm64 in the Makefile (#12506, @TrevorTaoARM)
* Enable lint check as part of github action (#11528, @sayboras)
* Enable quick and experimential installation in CI (#12232, @sayboras)
* Enables LRP to react on pod readiness. (#13394, @Weil0ng)
* endpoint: Clean up the bwmap on pod termination (#12970, @pchaigno)
* Ensure that the socket is removed when api.SetDefaultPermissions fail (#12691, @kAworu)
* envoy: Avoid logger pointer data race (#12793, @jrajahalme)
* envoy: don't use deprecated listener and HTTP filter names (#13235, @tklauser)
* examples/doc Add example LRP yaml files for real-world use cases (Backport PR #13720, Upstream PR #13543, @aditighag)
* examples: Fix grafana and prometheus (Backport PR #13903, Upstream PR #13860, @nathanjsweet)
* examples: getting-started: bump Cilium docker image to 1.9 (Backport PR #13720, Upstream PR #13697, @jibi)
* examples: Update host policy examples (#12959, @pchaigno)
* Expose operator azure-user-assigned-identity-id flag to its chart (Backport PR #13688, Upstream PR #13424, @ombre9)
* feat(configmap): Add support for setting labels in config map (#12646, @sayboras)
* feat(helm): Add serviceAccount field for hubble-ui (#12670, @sayboras)
* Fix bug in EKS environments where Cilium agents never become ready due to the CiliumNode CRD disallowing updates (#13195, @christarazi)
* Fix controller-tools module (#13055, @christarazi)
* Fix deadlock on eventqueue when it's being drained when endpoints are being restored (Backport PR #13751, Upstream PR #13716, @christarazi)
* Fix extraction of manifest for OpenShift (#13598, @errordeveloper)
* Fix GetFlows Test (#13206, @nathanjsweet)
* Fix Helm upgrade compatibility (Backport PR #13720, Upstream PR #13691, @joestringer)
* Fix install/ version update scripts (Backport PR #13861, Upstream PR #13858, @joestringer)
* Fix install/kubernetes update-versions make target (#13523, @joestringer)
* Fix render-docs build again (#13158, @joestringer)
* Fix some word errors in the annotations (#12414, @TrevorTaoARM)
* Fix Spelling Errors for endpoint pkg (#12394, @TrevorTaoARM)
* Fix typo in UpdateEC2AdapterLimitViaAPI command line flag (#12969, @soumynathan)
* fix: fix missing arguments declaration funcs in pkg/node/address_darwin (#13481, @genbit)
* Fixed encryption + VXLAN example, added encryption + Direct Routing example for GKE. (Backport PR #13903, Upstream PR #13806, @ti-mo)
* Fixes for troubleshooting guide re. Hubble/Hubble Relay (Backport PR #13688, Upstream PR #13644, @tklauser)
* Fixes printk. (#12610, @Weil0ng)
* fqdn: remove remnants godoc comments mentioning DNS poller (#13531, @tklauser)
* fqdn: remove unused fields and funcs after DNS poller removal (#13242, @tklauser)
* fqdn: remove unused test helper funcs (#13113, @tklauser)
* gitattributes: add examples/crds/*.yaml as linguist-generated (#12840, @aanm)
* github-workflow: Reduce scope of quick-install test (#13078, @tgraf)
* Give Hubble access to StoreGetter and include ContainerStatuses field for Pod (#12240, @michi-covalent)
* golangci: Enable varcheck linter (#11554, @mrostecki)
* health/server: drop dependency on github.com/c9s/goprocinfo (#12798, @tklauser)
* helm, docs: Avoid use of term policy drops (Backport PR #13856, Upstream PR #13848, @pchaigno)
* helm: Add check for prometheus service monitoring CRDs (Backport PR #13786, Upstream PR #13549, @sayboras)
* helm: bring back hubble dependencies validation (#13539, @Rolinh)
* helm: Correct indentation for imagePullSecret (#13547, @sayboras)
* helm: Fix format issue for logOptions in ConfigMap (Backport PR #13903, Upstream PR #13837, @sayboras)
* helm: Generate docs in default target (Backport PR #13903, Upstream PR #13897, @joestringer)
* helm: improve hubble related config documentation in values file (#13566, @Rolinh)
* helm: Remove `type: kubernetes.io/tls` from hubble-ca-secret (Backport PR #13812, Upstream PR #13792, @gandro)
* helm: Remove hardcoded port check for hubble, etc (Backport PR #13688, Upstream PR #13607, @nathanjsweet)
* helm: remove hubble-ca-certs secret (#13290, @Rolinh)
* helm: remove random value file (#13538, @Rolinh)
* helm: Remove unused serviceAccount values (#13585, @gandro)
* helm: remove unused var in make quick-install target (#13541, @Rolinh)
* helm: Update documentation links to point to stable (#13520, @joestringer)
* helm: Update README.md for helm chart (#13584, @sayboras)
* hubble, monitor: handle accesslog.DNSSourceProxy in log record parsers (#13114, @tklauser)
* hubble-relay: add support for LOCKDEBUG (#12320, @Rolinh)
* hubble/parser: Fix data race in L7 parser (#13467, @gandro)
* hubble/peer: always generate tls ServerName at the same DNS domain level (#13118, @kAworu)
* hubble/relay: compose ClientConn interface with grpc.ClientConnInterface (#12705, @Rolinh)
* hubble/relay: fix warning about missing config file (#13110, @kAworu)
* hubble: Add new monitor consumer implementation (#12711, @gandro)
* hubble: Fix dropped flows not showing up in Hubble UI (Backport PR #13812, Upstream PR #13796, @gandro)
* hubble: Switch GetEventsChannel to new consumer interface (#12712, @gandro)
* image/hubble-proto: Install bash in builder image (#13046, @gandro)
* images/builder: bump protoc to 3.12.4 (#12886, @tklauser)
* images/{Dockerfile.dockerignore}: do not ignore .git (#12915, @aanm)
* Improve and expand on documentation for the API rate limiter (Backport PR #13903, Upstream PR #13825, @christarazi)
* Improve documentation of filtering unnecessary labels (Backport PR #13720, Upstream PR #13696, @aanm)
* Improve policy documentation (#13409, @manuelbuil)
* install/kubernetes: add check-docker-images target to phony targets (Backport PR #13957, Upstream PR #13949, @tklauser)
* install/kubernetes: add disableEnvoyVersionCheck option (#12919, @aanm)
* install/kubernetes: Fix experimental-install.yaml for Hubble (Backport PR #13812, Upstream PR #13782, @gandro)
* install/kubernetes: quote disableEnvoyVersionCheck when option is set (#12922, @aanm)
* install/kubernetes: remove nodePort.device from values (Backport PR #13688, Upstream PR #13684, @tklauser)
* install: repository changed from quay.io to docker.io for hubble-ui (#13542, @yandzee)
* Invoke go-bindata from the vendor directory instead of requiring it explicitly (#12805, @christarazi)
* k8s Don't treat empty pod IPs as error condition (Backport PR #13856, Upstream PR #13648, @aditighag)
* k8s: clarify CRD schema versioning and its update process (Backport PR #13856, Upstream PR #13811, @aanm)
* k8s: Disallow unknown fields in CNP & CCNP (#13382, @christarazi)
* k8s: Fix parsing of CCNPs (#12851, @pchaigno)
* k8s: Optimize CRD controller to avoid using Table (Backport PR #13941, Upstream PR #13854, @christarazi)
* k8s: Remove deprecated identity status field (#13053, @christarazi)
* k8s: test and add k8s 1.19.0 libraries (#13016, @aanm)
* k8s: update k8s libraries to 1.19.3 (Backport PR #13688, Upstream PR #13654, @aanm)
* k8s: update k8s to 1.19.0-rc.3 (#12708, @aanm)
* k8s: update k8s to 1.19.0-rc.4 (#12775, @aanm)
* loader: Refactor initArgMode assignments (#12238, @pchaigno)
* loader: Use netlink lib instead of tc binary to delete filters (Backport PR #13786, Upstream PR #13724, @pchaigno)
* Lrp follow-up fixes (#13362, @aditighag)
* maglev: Convert permutation 2D array to 1D (Backport PR #13957, Upstream PR #13890, @brb)
* make: Fix dev-docker-image make target (Backport PR #13968, Upstream PR #13956, @joestringer)
* maps: move mocks into separate testutils/mockmaps package (#13489, @jibi)
* Misc: fix up spelling mistake (#12488, @Jianlin-lv)
* monitor: Add consumer interface for internal subscribers (#12710, @gandro)
* monitor: Avoid JSON-encoding agent events for in-memory storage (#12939, @gandro)
* monitor: Shorten policy-verdict output (#12137, @pchaigno)
* mountinfo speedups (#12249, @kolyshkin)
* Move single-use symbols out of pkg/common (#13368, @tklauser)
* nodeinit: Update image tag (Backport PR #13751, Upstream PR #13726, @errordeveloper)
* operator: Fix CEP owner type (Backport PR #13688, Upstream PR #13550, @jrajahalme)
* operator: make: Add install target (#12204, @mrostecki)
* Optimizations for initialization of CRDs (Backport PR #13720, Upstream PR #13675, @aanm)
* pkg/azure/ipam: fix data race in (*Node).PopulateStatusFields (#13581, @tklauser)
* pkg/envoy: Fix Envoy MySQL test (#12790, @christarazi)
* pkg/hubble: ignore klog/v2 in goleak detector (#13525, @aanm)
* pkg/idpool: fix test for race detector (#13562, @aanm)
* pkg/k8s: fix typo in unit tests due bad refactor (#12806, @aanm)
* pkg/k8s: keep resource version when watching CRDs (Backport PR #13751, Upstream PR #13729, @aanm)
* pkg/k8s: mark unused 'k8s-watcher-queue-size' flag for removal (#13536, @aanm)
* pkg/k8s: remove manual generated DeepCopyInto function (#12680, @aanm)
* pkg/k8s: remove unused variable (#12696, @aanm)
* pkg/k8s: set schema version to 1.22.1 (#12921, @aanm)
* pkg/kvstore: fix race in etcd initialization (Backport PR #13812, Upstream PR #13780, @aanm)
* pkg/policy: ignore test mutex comparison (#13582, @aanm)
* pkg/redirectpolicy Fix frontend-backend ipv6 mapping (#13494, @aditighag)
* policy language doc fix (#12404, @kAworu)
* policy: Do not dump selections on logs (#12927, @jrajahalme)
* policy: fix typo (#12364, @ArthurChiao)
* Pre-allocate slices with known size (Backport PR #13812, Upstream PR #13778, @tklauser)
* preflight: Use v1beta1 client when appropriate (#13312, @christarazi)
* Prepare for release v1.9.0-rc1 (#13518, @joestringer)
* Prepare v1.9.0-rc2 release (#13618, @aanm)
* preparing v1.9 dev cycle (#11781, @aanm)
* Prevent leak of AWS-related environment variables in `cilium-operator` deployment definition when deploying the operator in Azure mode. (#12411, @ungureanuvladvictor)
* proxy: remove unused dialer and socket code (#12744, @tklauser)
* README: Fix the versions listing (#13365, @joestringer)
* redirectpolicy: Move the feature behind feature flag and remove CCLRP related code (Backport PR #13786, Upstream PR #13671, @aditighag)
* Reduce memory allocations during endpoint restore (#12405, @tklauser)
* Refresh upgrade guide for v1.9 (Backport PR #13720, Upstream PR #13689, @joestringer)
* release: add script to check presence of docker images (Backport PR #13903, Upstream PR #13892, @aanm)
* release: Remove all unsused gitlib functions (#12259, @errordeveloper)
* Remove `ec2` notion from generic `cilium-operator` IPAM metrics. (#12413, @ungureanuvladvictor)
* Remove GitHub issue template for support request (#12957, @tgraf)
* Remove high cardinality port-distribution metric from default install (Backport PR #13786, Upstream PR #13734, @jedsalazar)
* Remove old proto dependencies (#13119, @glibsm)
* Remove remnants of bindata check script (Backport PR #13751, Upstream PR #13730, @tklauser)
* Remove the beta status note for Hubble Relay/UI (Backport PR #13903, Upstream PR #13857, @michi-covalent)
* Rename azure-user-assigned-identity-name to azure-user-assigned-identity-id (#13390, @ungureanuvladvictor)
* replace Deployment with Job for example (#12455, @brandshaide)
* Replace use of github.com/pkg/errors and golang.org/x/xerrors with Go stdlib functionality (#12603, @tklauser)
* Restores ClusterIP service entry upon LRP removal. (#13274, @Weil0ng)
* Revert "Differentiate UDP and TCP Protocols in Services" (#13587, @nathanjsweet)
* Revise doc building to enable it on arm64 (#12231, @TrevorTaoARM)
* RFC: ip: Flesh out list of non-global scope prefixes (#11875, @joestringer)
* s/create/apply (#12987, @jimangel)
* smoke-test: Capture sysdump details for troubleshooting (#13090, @sayboras)
* Stop listening for Pod Container Status events, making Cilium's Kubernetes event watcher less resource consuming when a pod is deleted. (#13179, @aanm)
* style(errors.Is): To enforce errors.Is usage instead of comparison (#12707, @sayboras)
* style(imports): Remove duplicate imports in same file (#12747, @sayboras)
* test(github): Bump required protoc version to 3.12.3 (#12768, @sayboras)
* test(helm): Run smoke test in multi-node cluster (#11888, @sayboras)
* test(quick-install): Dump related logs and events for cilium, hubble and connectivity checks (#12286, @sayboras)
* test(smoketest): Set liveness and readiness timeout in connectivity check (#13067, @sayboras)
* test/conformance: Disable pulling latest image in ipv6 test (#13204, @sayboras)
* test/packet: extend add_vagrant_box.sh script to load dev/CI images (#11871, @qmonnet)
* test/packet: set operating_system to ubuntu_18_04 (#12476, @aanm)
* test/vagrant: Fix NFS setup for test VMs (#13527, @pchaigno)
* test: Add monitoring to the flaky FQDN test (#12061, @jrajahalme)
* test: Additional info to debug fromCIDR+toPorts flake (Backport PR #13941, Upstream PR #13840, @pchaigno)
* test: Debug RuntimeConntrackInVethModeTest flake (Backport PR #13688, Upstream PR #13295, @pchaigno)
* test: Disable host firewall by default when running tests locally (#13465, @pchaigno)
* test: enable hubble tls in ci (#13232, @kAworu)
* test: extend XDP coverage for Maglev (Backport PR #13903, Upstream PR #13847, @borkmann)
* test: Fetch DNS proxy port from `ss -uap` (#12577, @joestringer)
* test: fix ipv6 addr configuration for vm interfaces (#13445, @fristonio)
* test: further increase range of accepted values for bandwidth test (#13372, @borkmann)
* test: properly clean up cilium components in ginkgo contexts (#12763, @fristonio)
* test: Quarantine flaky GuestBook test (#13000, @pchaigno)
* test: Quarantine K8sIstioTest while flaky (#13014, @pchaigno)
* test: Remove incorrect comment on flakyness (#12821, @pchaigno)
* test: Remove old `startup-script` image dir (#12340, @errordeveloper)
* test: Test for vxlan + per-endpoint routes (#13466, @pchaigno)
* test: Update docker image references (#12579, @pchaigno)
* test: Use smaller, updated docker images (#12583, @pchaigno)
* tools/licensegen: include licenses that have file extension (Backport PR #13968, Upstream PR #13967, @Rolinh)
* travis: remove Arm64 jobs from allow_failures (#13172, @Jianlin-lv)
* ui: updated helm charts for hubble-ui 0.7 (#13170, @geakstr)
* Update documentation for kubectl usage (#12487, @JieJhih)
* Update Go to 1.14.6 (#12582, @tklauser)
* Update Go to 1.14.7 (#12810, @tklauser)
* Update Go to 1.15 (#12853, @tklauser)
* Update Go to 1.15.1 (#13099, @tklauser)
* Update Go to 1.15.2 (#13139, @tklauser)
* Update Go to 1.15.3 (#13578, @tklauser)
* Update MAINTAINERS file (#12200, @tgraf)
* Update protobuf and gRPC related dependencies (#12767, @Rolinh)
* Update self-managed k8s docs to exclude Azure IPAM link (based on AKS). (#12539, @ungureanuvladvictor)
* Update stable releases (#11938, @joestringer)
* Update stable releases (#12047, @aanm)
* Update stable releases (#12392, @joestringer)
* Update stable releases (#12635, @christarazi)
* Update stable releases (#13089, @aanm)
* Update stable releases for 1.6.11, 1.7.7 (#12780, @joestringer)
* Update stable releases for 2020-09-30 releases (#13363, @joestringer)
* Update stable releases for v1.7.8 (#13013, @joestringer)
* Update stable releases for v1.7.9 (#13045, @joestringer)
* Update wording for BPFFS requirement and move to main system requirements page (Backport PR #13751, Upstream PR #13710, @joestringer)
* Updated the link to Azure Private IP documentation, which was split off into a page of its own. (Backport PR #13957, Upstream PR #13906, @ti-mo)
* Use existing consts for Cilium CRD names (#12928, @tklauser)
* use os.user instead of reading /etc/group (#12638, @kAworu)
* Use right schema when validating CCNP in pre-flight upgrade step (#12106, @aanm)
* USERS: Add Google and DigitalOcean (#13108, @tgraf)
* USERS: Add microk8s (#13478, @tgraf)
* Vagrant overall improvements (#12477, @aanm)
* vagrant start script misc updates (#13444, @kkourt)
* vagrant: Add host name argument in vagrant port command (Backport PR #13720, Upstream PR #13698, @sayboras)
* vagrant: bump all vagrant box versions (#12261, @pchaigno)
* vagrant: Bump all Vagrant box versions (#12629, @pchaigno)
* vagrant: bump all vagrant box versions (#13035, @borkmann)
* vagrant: Bump all Vagrant box versions (#13341, @pchaigno)
* vagrant: bump bpf-next vagrant box version (#13370, @borkmann)
* vagrant: bump bpf-next vagrant box version (Backport PR #13903, Upstream PR #13862, @borkmann)
* vagrant: Default to NFS in the dev. VMs (#13516, @pchaigno)
* vagrant: New kubectl aliases (#13470, @pchaigno)
* Various fixes for NodePort XDP kube-proxy free guide (Backport PR #13751, Upstream PR #13674, @tklauser)
* vendor: pin yaml.v2 to v2.2.8 (Backport PR #13688, Upstream PR #13620, @twpayne)
* docker: include v1.9 suffix in cilium-builder tag (#13952, @tklauser)

## v1.9.0-rc3

Summary of Changes
------------------

**Minor Changes:**
* Add metric 'cilium_k8s_event_lag_seconds' for calculated lag of Kubernetes events (Backport PR #13751, Upstream PR #13702, @aanm)
* Adds API for LRP introspection (Backport PR #13720, Upstream PR #13327, @Weil0ng)
* datapath: Decouple IPV4_MASQUERADE from IPV4_NODEPORT (Backport PR #13751, Upstream PR #13606, @brb)
* docker: update Hubble CLI to v0.7.0 (Backport PR #13688, Upstream PR #13643, @Rolinh)
* helm: keep encryption interface value undefined (Backport PR #13688, Upstream PR #13677, @kkourt)
* install/kubernetes: Allow update of "remote" secret (Backport PR #13812, Upstream PR #13784, @jrajahalme)
* test: Remove use of undefined field in TLS test (Backport PR #13856, Upstream PR #13850, @jrajahalme)
* VM Support Refinement (Backport PR #13786, Upstream PR #13666, @jrajahalme)

**Bugfixes:**
* Add log when allocate nodecidr failure (Backport PR #13688, Upstream PR #13299, @konghui)
* bpf: Fix --force-local-policy-eval-at-source=false (Backport PR #13812, Upstream PR #13769, @joestringer)
* build: bpf: Fix cross-compilation of gcc targets (Backport PR #13812, Upstream PR #13709, @mrostecki)
* endpoint: Avoid benign error messages on restoration (Backport PR #13720, Upstream PR #13667, @pchaigno)
* Fix bug where Cilium leaks a goroutine when an endpoint is deleted. This leak, if left running in a high pod churn environment, can cause Cilium to exceed its memory usage and get OOM killed. (Backport PR #13720, Upstream PR #13683, @christarazi)
* Fix garbage collection of CEPs - delete them in tranches and not every 5 minutes. (Backport PR #13751, Upstream PR #13728, @aanm)
* Fix panic on cilium-agent startup (Backport PR #13856, Upstream PR #13842, @aanm)
* Fix potential bug in ENI IPAM when multiple updates at the same time are performed to the a CiliumNode resource (Backport PR #13688, Upstream PR #13612, @christarazi)
* Fixed installation instructions for K3s and Kubernetes Network Policy enforcement (Backport PR #13812, Upstream PR #13783, @aanm)
* go.mod: update cilium/ipam library with bug fixes (Backport PR #13856, Upstream PR #13810, @aanm)
* Helm: Adapt Hubble ingress template to the new Ingress API (Backport PR #13751, Upstream PR #13682, @youssefazrak)
* hubble/relay: flush old flows when the buffer drain timeout is reached (Backport PR #13786, Upstream PR #13776, @Rolinh)
* hubble: Fix reply state unknown being interpreted as false (Backport PR #13786, Upstream PR #13750, @gandro)
* k8s/watchers: fix data race in (*K8sWatcher).addK8sServiceV1 (Backport PR #13688, Upstream PR #13604, @tklauser)
* lbmap: Correct issue that port info display error (Backport PR #13624, Upstream PR #13244, @Jianlin-lv)
* redirectpolicy: Check lrp type before restoring lrp service (Backport PR #13786, Upstream PR #13741, @aditighag)
* reduce cardinality of prometheus labels (Backport PR #13720, Upstream PR #13699, @aanm)

**CI Changes:**
* .github: Add action to build all BPF permutations (Backport PR #13786, Upstream PR #13770, @joestringer)
* checkpatch: switch to an external container image (Backport PR #13688, Upstream PR #13642, @qmonnet)
* ci: Avoid null pointer exception in non-pr builds (Backport PR #13786, Upstream PR #13779, @nebril)
* ci: Print hint to fix auto-generated file checks (Backport PR #13751, Upstream PR #13718, @sayboras)
* ci: run baseline perf tests nightly (Backport PR #13688, Upstream PR #13376, @nebril)
* ci: skip tests involving L7 proxy if race detector is enabled (Backport PR #13786, Upstream PR #13755, @tklauser)
* Fix focus in jenkinsfile (Backport PR #13812, Upstream PR #13791, @nebril)
* images: Fix handing of dev suffix when tag is used (cilium/image-tools#76) (Backport PR #13688, Upstream PR #13639, @errordeveloper)
* smoketest: Add image tag as latest for cilium agent and operator (Backport PR #13624, Upstream PR #13664, @sayboras)
* test: improve debugging of dns issues, add retries to external conn check (Backport PR #13720, Upstream PR #13694, @nebril)
* test: skip new tests in upstream k8s (Backport PR #13812, Upstream PR #13758, @aanm)

**Misc Changes:**
* backporting: Clean tmp files after backport with conflicts (Backport PR #13751, Upstream PR #13707, @pchaigno)
* backporting: Properly escape commit message when used as regex (Backport PR #13812, Upstream PR #13756, @gandro)
* backporting: Update labels by default when submitting backport (Backport PR #13720, Upstream PR #13703, @pchaigno)
* bandwidth: adjust version to 5.1 in log message (Backport PR #13856, Upstream PR #13817, @tklauser)
* bpf: fix up lrp for v4-in-v6 sockets (Backport PR #13688, Upstream PR #13638, @borkmann)
* bpf: redirect fixes and follow-ups (Backport PR #13688, Upstream PR #13646, @borkmann)
* bpf: redirect_neigh signature fix (Backport PR #13786, Upstream PR #13747, @borkmann)
* bpf: simplify local redirect a bit for sock lb (Backport PR #13624, Upstream PR #13613, @borkmann)
* certloader: Fix reload on K8s Secret/ConfigMap update (Backport PR #13751, Upstream PR #13636, @gandro)
* cilium, docs: small readme update (Backport PR #13856, Upstream PR #13846, @borkmann)
* cilium, helm: rename helm load balancer related parameters (Backport PR #13856, Upstream PR #13841, @borkmann)
* cilium/cmd: Cosmetic code clean-ups (Backport PR #13812, Upstream PR #13762, @twpayne)
* cilium: minor lb follow-ups (Backport PR #13836, Upstream PR #13821, @borkmann)
* cilium: Node to node encryption is not supported with vxlan (Backport PR #13856, Upstream PR #13800, @jrfastab)
* contrib: match commit subject exactly when searching for upstream commit (Backport PR #13688, Upstream PR #13630, @tklauser)
* daemon: Don't check XDPDevice in DevicePreFilter case (Backport PR #13812, Upstream PR #13794, @brb)
* doc: update Hubble doc for 1.9 (Backport PR #13751, Upstream PR #13669, @Rolinh)
* doc: Update OpenShift GSG (Backport PR #13751, Upstream PR #13713, @michi-covalent)
* docker: update Hubble CLI to v0.7.1 (Backport PR #13720, Upstream PR #13693, @Rolinh)
* docs/gettingstarted: Fix minor issues in Metrics guide (Backport PR #13720, Upstream PR #13668, @twpayne)
* docs/gettingstarted: Update AKS instructions (Backport PR #13688, Upstream PR #13632, @twpayne)
* docs: Add a note about systemd 245 rp_filter issue (Backport PR #13751, Upstream PR #13717, @brb)
* docs: Add Azure troubleshooting tips (Backport PR #13856, Upstream PR #13714, @jrajahalme)
* docs: Add gsg cross-link for cluster-pool IPAM (Backport PR #13812, Upstream PR #13771, @joestringer)
* docs: Add how to remove kube-proxy from existing clusters (Backport PR #13856, Upstream PR #13808, @brb)
* docs: add instructions to update Kubernetes libraries (Backport PR #13856, Upstream PR #12784, @aanm)
* docs: Clarify bumping the runtime images step (Backport PR #13786, Upstream PR #13781, @christarazi)
* docs: Do not over promise in BPF-masq docs (Backport PR #13751, Upstream PR #13733, @brb)
* docs: docker: update some command outputs (Backport PR #13720, Upstream PR #13695, @jibi)
* docs: Document some caveats of kube-proxy replacement (Backport PR #13688, Upstream PR #13640, @brb)
* docs: document test-only ci command (Backport PR #13786, Upstream PR #12268, @nebril)
* docs: Fix broken formating and link (Backport PR #13688, Upstream PR #13661, @pchaigno)
* docs: fix minor issue in cilium support with external etcd gsg (Backport PR #13688, Upstream PR #13651, @fristonio)
* docs: Fix shell session highlighting (Backport PR #13720, Upstream PR #13704, @joestringer)
* docs: GKE - fix some indentation, specify bash code segments (Backport PR #13688, Upstream PR #13645, @ti-mo)
* docs: improve Host Firewall GSG (Backport PR #13720, Upstream PR #13673, @qmonnet)
* docs: NodePort XDP on GCP is not supported (Backport PR #13688, Upstream PR #13665, @gandro)
* docs: remove repeated words (Backport PR #13751, Upstream PR #13719, @tklauser)
* docs: update CODEOWNERS review process (Backport PR #13786, Upstream PR #13764, @aanm)
* docs: update NodePort XDP kube-proxy-free GSG for Azure AKS (Backport PR #13720, Upstream PR #13685, @tklauser)
* docs: Updates kube-proxy-free getting started guide (Backport PR #13720, Upstream PR #13692, @pchaigno)
* docs: Various LRP gsg fixups (Backport PR #13751, Upstream PR #13737, @nebril)
* Documentation: Fix Loadbalancer Guide for Clustermesh (Backport PR #13856, Upstream PR #13822, @nathanjsweet)
* examples/doc Add example LRP yaml files for real-world use cases (Backport PR #13720, Upstream PR #13543, @aditighag)
* examples: getting-started: bump Cilium docker image to 1.9 (Backport PR #13720, Upstream PR #13697, @jibi)
* Expose operator azure-user-assigned-identity-id flag to its chart (Backport PR #13688, Upstream PR #13424, @ombre9)
* Fix deadlock on eventqueue when it's being drained when endpoints are being restored (Backport PR #13751, Upstream PR #13716, @christarazi)
* Fix Helm upgrade compatibility (Backport PR #13720, Upstream PR #13691, @joestringer)
* Fix install/ version update scripts (Backport PR #13861, Upstream PR #13858, @joestringer)
* Fixes for troubleshooting guide re. Hubble/Hubble Relay (Backport PR #13688, Upstream PR #13644, @tklauser)
* helm, docs: Avoid use of term policy drops (Backport PR #13856, Upstream PR #13848, @pchaigno)
* helm: Add check for prometheus service monitoring CRDs (Backport PR #13786, Upstream PR #13549, @sayboras)
* helm: Remove `type: kubernetes.io/tls` from hubble-ca-secret (Backport PR #13812, Upstream PR #13792, @gandro)
* helm: Remove hardcoded port check for hubble, etc (Backport PR #13688, Upstream PR #13607, @nathanjsweet)
* hubble: Fix dropped flows not showing up in Hubble UI (Backport PR #13812, Upstream PR #13796, @gandro)
* Improve documentation of filtering unnecessary labels (Backport PR #13720, Upstream PR #13696, @aanm)
* install/kubernetes: Fix experimental-install.yaml for Hubble (Backport PR #13812, Upstream PR #13782, @gandro)
* install/kubernetes: remove nodePort.device from values (Backport PR #13688, Upstream PR #13684, @tklauser)
* k8s Don't treat empty pod IPs as error condition (Backport PR #13856, Upstream PR #13648, @aditighag)
* k8s: clarify CRD schema versioning and its update process (Backport PR #13856, Upstream PR #13811, @aanm)
* k8s: update k8s libraries to 1.19.3 (Backport PR #13688, Upstream PR #13654, @aanm)
* loader: Use netlink lib instead of tc binary to delete filters (Backport PR #13786, Upstream PR #13724, @pchaigno)
* nodeinit: Update image tag (Backport PR #13751, Upstream PR #13726, @errordeveloper)
* operator: Fix CEP owner type (Backport PR #13688, Upstream PR #13550, @jrajahalme)
* Optimizations for initialization of CRDs (Backport PR #13720, Upstream PR #13675, @aanm)
* pkg/k8s: keep resource version when watching CRDs (Backport PR #13751, Upstream PR #13729, @aanm)
* pkg/kvstore: fix race in etcd initialization (Backport PR #13812, Upstream PR #13780, @aanm)
* Pre-allocate slices with known size (Backport PR #13812, Upstream PR #13778, @tklauser)
* redirectpolicy: Move the feature behind feature flag and remove CCLRP related code (Backport PR #13786, Upstream PR #13671, @aditighag)
* Refresh upgrade guide for v1.9 (Backport PR #13720, Upstream PR #13689, @joestringer)
* Remove high cardinality port-distribution metric from default install (Backport PR #13786, Upstream PR #13734, @jedsalazar)
* Remove remnants of bindata check script (Backport PR #13751, Upstream PR #13730, @tklauser)
* test: Debug RuntimeConntrackInVethModeTest flake (Backport PR #13688, Upstream PR #13295, @pchaigno)
* Update wording for BPFFS requirement and move to main system requirements page (Backport PR #13751, Upstream PR #13710, @joestringer)
* vagrant: Add host name argument in vagrant port command (Backport PR #13720, Upstream PR #13698, @sayboras)
* Various fixes for NodePort XDP kube-proxy free guide (Backport PR #13751, Upstream PR #13674, @tklauser)
* vendor: pin yaml.v2 to v2.2.8 (Backport PR #13688, Upstream PR #13620, @twpayne)

## v1.9.0-rc2

The summary of changes below reflect the diff between the last stable RC (v1.9.0-rc1) and tag v1.9.0-rc2.

Summary of Changes
------------------

**Minor Changes:**
* Add a new daemon CLI argument, "--iptables-random-fully" to specify the
 iptables "--random-fully" argument when invoking the iptables CLI binary
 directly from cilium-agent. (#13383, @kh34)
* Add an alternative method to generate the Hubble mTLS certificates based on Kubernetes Jobs. (#13449, @gandro)
* Azure IPAM: option to ignore primary addresses (#13415, @bpineau)
* cli: Add cilium bpf lb maglev get $SVC_ID (#13586, @brb)
* Create healthz HTTP endpoint for kube-proxy replacement (#11733, @soumynathan)
* Helm: support affinity settings for operator (#13548, @youssefazrak)
* maglev: Add native implementation of murmur3 (#13501, @brb)

**Bugfixes:**
* bpf: only clean up XDP from devices with XDP attached (#13532, @jaffcheng)
* cilium, ipsec: Do revalidate_data_pull() early in do_decrypt() case (#13500, @jrfastab)
* Fix 1 potential deadlock in Azure IPAM and 1 other in ENI and Azure IPAM (#13517, @aanm)
* Fix bug where events cannot be enqueued during endpoint restoration (#13608, @christarazi)
* Fix natting of non-first ipv4 fragments. (#13476, @liuyuan10)
* Fixes panic when setting up encryption with azure IPAM (#13593, @aanm)
* identity: Fix nil pointer panic in LookupIdentityByID (#13514, @gandro)
* Ignore "Failed to load program" errors when Cilium agent is being teared down (#13281, @mrostecki)
* kvstore: Do not write to read-only keys in join-cluster mode (#13524, @jrajahalme)
* loader: Check if device has BPF prog before trying to detach it (#13591, @pchaigno)
* lock: fix data race in (*SemaphoredMutexSuite).TestParallelism() (#13570, @tklauser)
* service: Use initNextID in acquireLocalID() (#13576, @hzhou8)

**CI Changes:**
* build: Fix CC for CGO compilation for Arm (#13605, @errordeveloper)
* images: Fix handling of git tags (#13602, @errordeveloper)
* test: Fix kube-proxy-free on GKE due to wrong k8sServiceHost value (#13559, @pchaigno)
* test: Increase timeout for waiting LB IP addr on GKE (#13557, @brb)
* update cilium and hubble-relay dockerfiles to use built-in buildx ARGs (#13551, @xUnholy)

**Misc Changes:**
* allocator/podcidr: fix race conditions in tests (#13567, @aanm)
* api-limiter: Make auto adjust test less flaky (#13568, @twpayne)
* Avoid loops with local-redirect service translation (#13287, @aditighag)
* bpf_host: describe the position of {to,from}-{host,netdev} in the data path (#13483, @ti-mo)
* build Add a debug make target (#13522, @aditighag)
* ci: Do not label control plane nodes with cilium.io/node (#13504, @mrostecki)
* Cilium Agent will now wait for CRDs to become available instead of the Operator; the Operator will register the CRDs (#13418, @christarazi)
* CODEOWNERS: change docs to docs-structure (#13589, @aanm)
* CODEOWNERS: fix owner assignment for hubble related helm charts (#13540, @Rolinh)
* Disable bandwidth-manager by default for new deployments (#13515, @qmonnet)
* doc: Kubeadm guide (#13488, @mrostecki)
* docs/performance: update scripts repo and tf version (#13596, @kkourt)
* docs: Add Hubble to SIGs table (#13563, @b3a-dev)
* docs: Adjust the hubble CLI definition (#13546, @glibsm)
* docs: Fix shell syntax issue in OpenShift guide (#13560, @errordeveloper)
* docs: Update CI documentation following Helm refactoring (#13561, @pchaigno)
* Fix extraction of manifest for OpenShift (#13598, @errordeveloper)
* Fix install/kubernetes update-versions make target (#13523, @joestringer)
* Fix kubectl command in cassandra NetworkPolicy documentation. (#13545, @velp)
* Fix typo in UpdateEC2AdapterLimitViaAPI command line flag (#12969, @soumynathan)
* Fixes errors "executable file not found" in script examples/kubernetes-cassandra/cass-populate-tables.sh (#13534, @velp)
* fqdn: remove remnants godoc comments mentioning DNS poller (#13531, @tklauser)
* helm: bring back hubble dependencies validation (#13539, @Rolinh)
* helm: Correct indentation for imagePullSecret (#13547, @sayboras)
* helm: improve hubble related config documentation in values file (#13566, @Rolinh)
* helm: remove random value file (#13538, @Rolinh)
* helm: Remove unused serviceAccount values (#13585, @gandro)
* helm: remove unused var in make quick-install target (#13541, @Rolinh)
* helm: Update documentation links to point to stable (#13520, @joestringer)
* helm: Update README.md for helm chart (#13584, @sayboras)
* Improve policy documentation (#13409, @manuelbuil)
* install/kubernetes: consistent case spelling of iptables related values (#13556, @tklauser)
* install: repository changed from quay.io to docker.io for hubble-ui (#13542, @yandzee)
* maps: move mocks into separate testutils/mockmaps package (#13489, @jibi)
* pkg/azure/ipam: fix data race in (*Node).PopulateStatusFields (#13581, @tklauser)
* pkg/hubble: ignore klog/v2 in goleak detector (#13525, @aanm)
* pkg/idpool: fix test for race detector (#13562, @aanm)
* pkg/k8s: mark unused 'k8s-watcher-queue-size' flag for removal (#13536, @aanm)
* pkg/policy: ignore test mutex comparison (#13582, @aanm)
* Prepare v1.9.0-rc2 release (#13618, @aanm)
* Revert "Differentiate UDP and TCP Protocols in Services" (#13587, @nathanjsweet)
* test/vagrant: Fix NFS setup for test VMs (#13527, @pchaigno)
* test: Disable host firewall by default when running tests locally (#13465, @pchaigno)
* Update Go to 1.15.3 (#13578, @tklauser)
* vagrant: Default to NFS in the dev. VMs (#13516, @pchaigno)
* vagrant: New kubectl aliases (#13470, @pchaigno)

## v1.9.0-rc1

The summary of changes below reflect the diff between the last stable release (v1.8.4) and tag v1.9.0-rc1.

Summary of Changes
------------------

**Major Changes:**
* Add deny policies (#12716, @aanm)
* Add Maglev consistent hashing to kube-proxy replacement for NodePort/LoadBalancer/externalIPs services (#13131, @brb)
* Add support for k8s 1.19 (#12611, @aanm)
* Added support for non-k8s nodes to register to a k8s cluster via new option `--join-cluster` (#13309, @jrajahalme)
* Add experimental multi-platform images (#12013, @errordeveloper)
* Add bandwidth manager (#12868, @borkmann)
* Direct routing performance improvement through new tc/BPF-only based host forwarding mode w/o passing to upper stack. (#13330, @borkmann)
* Overhaul of Helm chart structure to simplify & improve upgrades (#13259, @seanmwinn)
* Implement eBPF native local service redirect functionality (#12831, @aditighag)
* Implement proxy redirection logic in eBPF (#11279, @joestringer)

**Minor Changes:**
* Add blacklistConflictingRoutes parameter to config chart (#11368, @donch)
* Add a `node` label to agent metrics. (#12965, @diversario)
* Add automatic generation of CRDs for CNP and CCNP (#11607, @christarazi)
* Add BPF map sizes to output of `cilium status --verbose` (#12660, @tklauser)
* add CLI for checking kernel capabilities (#11339, @brandshaide)
* Add config point to send bugtool to stdout (#12837, @willdeuschle)
* Add configurable enable-k8s-endpoint-slice (#13029, @Antiarchitect)
* Add detection of unknown fields for policies (CNP & CCNP) in preflight (#13180, @christarazi)
* add hint to make use of CLI cilium kernel-check in system requirements (#13164, @brandshaide)
* api/v1: Add ability to query flows by HTTP method (#13328, @glibsm)
* api/v1: Add drop_reason_desc enum to Flow API (#13301, @kAworu)
* Automate generation of CiliumNode, CiliumIdentity, & CiliumEndpoint CRDs using controller-gen (#11476, @aanm)
* Azure IPAM: don't install bogus "PodCIDR via cilium_host" route by default (#13098, @bpineau)
* build: Skip 'clean' and 'clean-container' before docker image builds. (#12463, @jrajahalme)
* cilium/build Add GOPATH check for generate-k8s-api (#12695, @aditighag)
* cleanup/ipam: Remove hostscope-legacy IPAM option (#12984, @sayboras)
* cmd: Allow to filter metrics with regexp (#12590, @mrostecki)
* Differentiate load-balancer keys in the datapath by protocol (in addition to address and port), so that cilium can correctly differentiate protocols between services. (#12628, @nathanjsweet)
* Enable host firewall without remote-node identity (#12878, @pchaigno)
* Enable support for user managed identities in the `cilium-operator` (#12592, @ungureanuvladvictor)
* Envoy metrics from the Cilium host proxy are exported via a prometheus port. (#12949, @jrajahalme)
* envoy: Add development support for Envoy filter metadata enforcement (#12500, @jrajahalme)
* envoy: Move to Envoy API v3 (#12331, @jrajahalme)
* envoy: Optimize list of allowed remote security IDs (#12926, @jrajahalme)
* envoy: Stop using deprecated filter names (#13351, @jrajahalme)
* envoy: Update to release 1.14.4 (#12484, @jrajahalme)
* Fail to start if IPSec and devices are used together (#13069, @tobiaskohlbau)
* Fix typo in AKS getting started guide (#12505, @ap4y)
* fix(3891): mirror parent pod labels to cilium endpoints (#12406, @fristonio)
* fix(9966): fix creation of multiple KVStore watchers for CNPs and CCNPs (#12323, @fristonio)
* Follow-up for `cilium ip list` identity lookup (#13375, @tklauser)
* helm: allow setting conntrack-gc-interval in cilium-config cm (#13061, @ghouscht)
* helm: bump hubble-ui patch version in chart values (#13313, @genbit)
* helm: configurable annotations for agent and operator pods (#12189, @mvisonneau)
* hubble-relay: add support for (m)TLS (#12900, @Rolinh)
* hubble/metrics: Add protocol labels to `flows_processed_total` (#12742, @sayboras)
* hubble: add support for (m)TLS (#12906, @Rolinh)
* hubble: Add support for PERF_RECORD_LOST (#12475, @gandro)
* Kafka proxy is now implemented in Cilium Go extensions for Envoy, which adds egress policy enforcement support for Kafka L7 policies. (#12548, @jrajahalme)
* lbmap: Sort backends before creating maglev lookup table (#13461, @brb)
* maglev: Perf related follow up items (#13431, @brb)
* Make pods IPv6 address discoverable on node's subnet (#12193, @anfernee)
* Makes k8sNodeIP the preferred IP when initializing NodePort addresses. (#13223, @networkop)
* metrics: Deprecate non-conventional prometheus metrics (#12826, @sayboras)
* monitor: Add option to disable monitor independently of Hubble (#12540, @gandro)
* operator: Remove options deprecated in v1.8 (#12676, @pchaigno)
* pkg/hubble/filters: Add HTTP path filters (#13425, @twpayne)
* pkg/option: add option to configure BPF lbmap size (#12843, @fristonio)
* policy/trace: Support recent api versions for {Deployment, ReplicaSet} (#12903, @sayboras)
* Remove "blacklist-conflicting-routes" option from cilium-agent. (#12986, @fristonio)
* Remove agent options deprecated in v1.8 (#12642, @tklauser)
* Remove deprecated `cilium bpf proxy` commands (#12682, @tklauser)
* Remove DNS poller after being deprecated in Cilium 1.8. (#13229, @tklauser)
* Remove PodSecurityPolicy in helm due to deprecation and future removal in Kubernetes (#12469, @sayboras)
* Removed helm 2 support. Move requirements.yaml to Chart.yaml and set min. helm version to helm 3 (#12412, @sayboras)
* Rename IPAM API metrics to be `ec2` specific. (#12502, @ungureanuvladvictor)
* Show names for reserved identities in `cilium ip list`. (#13304, @tklauser)
* The metrics `endpoint_regeneration_time_stats` and `policy_regeneration_time_stats` had their 'buildTime' scopes renamed to 'total'. (#13323, @ti-mo)
* TLS certificates hot reloading for Hubble and Relay (#13249, @kAworu)
* Update Kubernetes dependencies to v1.19.1 and etcd to 3.4.13 (#13134, @aanm)
* Update Kubernetes libraries to 1.19.2 (#13199, @aanm)
* Upgrade CRDs (apiextensions) from v1beta1 to v1 (#11477, @aanm)

**Bugfixes:**
* Add the `update-ec2-apdater-limit-via-api` flag to the `cilium-operator-aws`. (#12410, @ungureanuvladvictor)
* agent: fix panic when clustermesh not set and cluster-id is non-zero (#12944, @ArthurChiao)
* cilium: allow encryption/decryption to coexist with bpf_host logic (#13238, @jrfastab)
* Hubble-relay now proxies the GRPC context to its servers. (#12865, @nathanjsweet)
* Valid CNP and CCNP 'matchLabel' values must be 63 characters or less and must be empty or begin and end with an alphanumeric character ([a-z0-9A-Z]) with dashes (-), underscores (_), dots (.), and alphanumerics between. (#12117, @aanm)
* Various other bugfixes already included in v1.8.5 or earlier releases

**CI Changes:**
* .github, .travis: bump golangci-lint to 1.31 (#13245, @tklauser)
* Add portmap+proxy conformance test (#12758, @joestringer)
* build: Fix shellcheck errors (#12407, @errordeveloper)
* build: Fix shellcheck linter (#12432, @errordeveloper)
* build: Simplify how `BPF_SRCFILES` is set in git-free mode (#12326, @errordeveloper)
* build: Update runtime image, add a guard rail (#12435, @errordeveloper)
* ci/gke: Fix Hubble Relay on GKE (#13025, @gandro)
* ci: add DeleteLong to accommodate longer resource deletion (#12743, @nebril)
* ci: add startup-script to local node repo (#12359, @nebril)
* ci: Delete cilium-node-init ds before cilium install (#12725, @nebril)
* ci: fix runtime kernel version typo (#13255, @nebril)
* ci: lock docker build (#13258, @nebril)
* ci: lower ginkgo timeout (#12570, @nebril)
* ci: pass race-detection env vars to vagrant boxes (#13253, @nebril)
* ci: refactor curl / wget test helpers with retries (#12408, @JieJhih)
* ci: release gke nodepool (#12382, @nebril)
* ci: Retry gke cluster scaling (#12616, @nebril)
* ci: Run policy stress tests on a nightly basis (#13306, @nebril)
* ci: Start separate registries for gke builds (#12782, @nebril)
* Fix overall races in the Cilium code base (#12789, @aanm)
* Fix typo in gke cluster release script (#12681, @nebril)
* Fix upgrade testing for v1.9-dev (#12309, @aanm)
* Fixes LRP service deletion/restoration and adds e2e tests for LRP. (#13360, @Weil0ng)
* images/cilium-test: New test suite image (#12941, @errordeveloper)
* Run ci with race detection (#13215, @nebril)
* Set GOPATH in CI VM (#12717, @aditighag)
* Smoke test with k8s 1.19 (#13021, @sayboras)
* smoke-test: Additional logs in case of error (#13017, @pchaigno)
* smoke-test: Print pod/deploy state on failure (#12689, @joestringer)
* test, images: update helm to 3.3.4 (#13277, @tklauser)
* test/helpers: dump rbac information on k8s test failure (#12866, @fristonio)
* test/Vagrantfile: disable unattended-upgrades (#11826, @qmonnet)
* test: add missing artii cert-key pair (#12303, @nebril)
* test: Add nightly policy stress test (#12933, @jrajahalme)
* test: add services conformance test to kubernetes upstream suite (#13176, @fristonio)
* test: auto correct grafana port in test vagrant vms (#13202, @nebril)
* test: bump latest helm chart version (#12093, @aanm)
* test: bump stable version to 1.8 (#12094, @aanm)
* test: check logs of operator and hubble relay (#13266, @nebril)
* test: don't check logs if kubectl is nil (#13389, @nebril)
* test: enable operator metrics in stresspolicy suite (#13343, @nebril)
* test: fix build after merge of #13107 and #13036 (#13124, @tklauser)
* test: fix cilium policy action for clusterwide policies (#13464, @fristonio)
* test: fixed failing missed k8s tests (#12887, @fristonio)
* test: gather init container logs (#12762, @nebril)
* test: Improve logging of errors that must be investigated (#12598, @joestringer)
* test: Increase range of accepted values for bandwidth test (#13103, @pchaigno)
* test: make it possible to pass PROVISION when running tests via make (#12253, @Rolinh)
* test: put hubble tests on quarantine in GKE (#12746, @nebril)
* test: Restart unmanaged pods in log gatherer ns (#13413, @nebril)
* test: Simplify Cilium namespace handling (#13107, @pchaigno)
* test: Test NodePort BPF with L7 proxy (#12434, @brb)
* test: Try out all GKE clusters in random order (#12661, @jrajahalme)
* test: Update coredns image tag from 1.2.2 to 1.2.6 for k8s 1.12 (#12869, @jrajahalme)
* test: update k8s test versions to 1.16.14, 1.17.11 and 1.18.8 (#12880, @aanm)
* test: update runtime test descriptions after removal of DNS poller (#13391, @tklauser)
* test: Use `--no-cache` docker flag in gke builds (#12765, @nebril)
* test: use correct test image in nightlies, restart pods in gke tests (#13322, @nebril)
* Testing in DualStack K8s environment (#13288, @fristonio)
* travis: enable vm jobs of aarch64 (#13033, @Jianlin-lv)
* updating operator dockerfile with built-in buildx ARGs (#13462, @xUnholy)
* Use Docker buildkit in the CI (#12112, @jrajahalme)

**Misc Changes:**
* .gitattributes: Mark cmdref files as generated (#12960, @pchaigno)
* .github/cilium-actions: remove github action helper message (#12300, @aanm)
* .github: Bump projects after v1.8.0 release (#12266, @joestringer)
* .github: run Go prechecks as GitHub action (#12693, @tklauser)
* .github: set kind/bug label in bug issue template (#12872, @tklauser)
* .github: Update issue template (#12131, @errordeveloper)
* .github: Update issue template for flakes (#12797, @pchaigno)
* .gitignore: Ignore test/cilium.conf.ginkgo (#12133, @pchaigno)
* .travis: Fix probes_test failure on Arm64 (#12335, @Jianlin-lv)
* Add finleap connect as cilium user (#12792, @christianhuening)
* add Interface index to the CNI result (#12706, @mazzy89)
* Add missing Node annotations in documentation (#12575, @dabcoder)
* Add ND responder on native NIC to make endpoint IPv6 address discoverable on node network. (#12086, @anfernee)
* add_vagrant_box.sh: fix and document the script (#12264, @qmonnet)
* Address code tidiness items for bpf tproxy (#13050, @joestringer)
* allocator/podcidr: fix formatting issue with debug message (#13447, @aanm)
* api/v1: Compile hubble proto in docker (#12931, @glibsm)
* api/v1: Include Makefile in the hubble proto image (#13147, @glibsm)
* api/v1: update swagger to 0.25.0 (#12673, @aanm)
* api: do not require grpc service implementations to embed stubs (#12808, @Rolinh)
* api: re-generate protobuf code (#12677, @Rolinh)
* bpf, cocci: small follow-ups (#12962, @borkmann)
* bpf: clean up .PHONY targets for Makefiles (#13142, @qmonnet)
* bpf: configure mtu for the created $ENCAP_DEV (#12972, @Jianlin-lv)
* bpf: Do not try to open map when creating unpinned map (#13427, @brb)
* bpf: minor fix to Makefile and includes (#12819, @qmonnet)
* bpf: remove dead stores in tail_nodeport_nat_ipv{4,6} (#12334, @tklauser)
* bpf: Remove duplicate command from init.sh (#13468, @pchaigno)
* build: Opt-in for docker build commit requirement (#12365, @jrajahalme)
* build: Stabilize bpf file sort order. (#12464, @jrajahalme)
* bump Alpine base image to 3.12 (#13403, @Rolinh)
* Bump aws/aws-sdk-go-v2 to 0.23.0 from 0.18.0 (#12393, @ungureanuvladvictor)
* Bump readme for v1.8.0 release (#12227, @joestringer)
* chore(ci): Correct indentation for github action workflows (#12828, @sayboras)
* chore(lint): To enable linter for test files (#12402, @sayboras)
* chore(misspell): To enable misspell linter for go codes (#12490, @sayboras)
* Cilium Operator will now handle CRD operations on behalf of Cilium Agent (#13285, @christarazi)
* cilium/cmd: remove deprecated rev flag used with `cilium service update` (#12692, @tklauser)
* cilium: bandwidth manager e2e tests (#12961, @borkmann)
* cilium: enable more ci tests for bw manager (#13030, @borkmann)
* cilium: make bandwidth manager dependent on 5.1+ (#13117, @borkmann)
* cleanup: remove unused code (#13381, @florianl)
* cleanup: Use value receiver instead of pointer receiver for CIDR (#12563, @sayboras)
* clustermesh_doc: Adding shared service doc in clustermesh (#13145, @chowmean)
* cocci: Fix false positive in null.cocci (#12422, @pchaigno)
* CODEOWNERS: Add contrib/ (#12641, @pchaigno)
* CODEOWNERS: add hubble as codeowner for hubble related helm charts (#12431, @Rolinh)
* CODEOWNERS: Include .github directory (#12135, @pchaigno)
* CODEOWNERS: Update Kubernetes owners (#12883, @christarazi)
* common: remove unused func FindEPConfigCHeader (#12425, @tklauser)
* connectivity-check: Check cue file formatting in Github Action (#13088, @sayboras)
* connectivity-check: Fix YAML inconsistency (#13073, @joestringer)
* connectivity-check: Fix YAML inconsistency (#13075, @sayboras)
* contrib/checkpr.sh: fix job name (#12236, @qmonnet)
* contrib/vagrant: add hosts field in all generated certificates (#12802, @aanm)
* contrib/vagrant: Allow to start a single VM (#12591, @mrostecki)
* contrib: extend checkpr.sh to watch for Smoke Tests completion (#12058, @qmonnet)
* contrib: provision cilium-operator before cilium (#13157, @aanm)
* contrib: Use fixed string search in grep (#12634, @christarazi)
* Correct help string for kubernetes_events_received_total metric (#12316, @ungureanuvladvictor)
* daemon: Disable bandwidth manager if IPSec is enabled (#13105, @pchaigno)
* datapath/connector: remove unused funcs (#13374, @tklauser)
* datapath/linux/probes: make ErrKernelConfigNotFound a sentinel error value (#12339, @tklauser)
* datapath/linux/route: use upstream function to list rules (#13380, @florianl)
* datapath/linux: document methods that must be called with mutex held (#12472, @tklauser)
* datapath/maps: drop cilium_policy_reserved_* maps from to-be-removed maps (#13151, @tklauser)
* datapath: change log level to info if kernel config is not available (#10317, @fristonio)
* doc: add concepts/observability section, document Hubble in cluster mesh (#13307, @Rolinh)
* doc: Add workarounds section to e2e testing guide (#12520, @christarazi)
* doc: correct operation command of manual installation (#12022, @Jianlin-lv)
* doc: document how to use custom TLS certificates with Hubble (#13291, @Rolinh)
* doc: Handle READTHEDOCS_VERSION in preview (#12158, @michi-covalent)
* doc: Rename BPF to eBPF (#12836, @tgraf)
* doc: Update AUTHORS file (#12142, @tgraf)
* doc: Update AUTHORS file (#13106, @kAworu)
* docker: Generate .dockerignore for BUILDKIT (#12375, @jrajahalme)
* docker: Update hubble image (#12608, @glibsm)
* docs(dev): Update the step for basic formating/lint checks (#12617, @sayboras)
* docs(e2e): Update kube version in e2e docs (#12769, @sayboras)
* docs(operator): Update coredns plugin from proxy to forward (#12578, @sayboras)
* docs: add command to run focused k8s bandwidth tests in CI (#13022, @fristonio)
* docs: Add connectivity-check to Hubble getting started guide (#13423, @twpayne)
* docs: Add link to CI failure triage to contributing guide (#13463, @twpayne)
* docs: Add note for users upgrading K8s (#13273, @christarazi)
* docs: Add SmileDirectClub to Cilium users (#12738, @particledecay)
* docs: clarify janitor duty for backport PRs (#11988, @aanm)
* docs: Clarify when GITHUB_TOKEN is needed (#13407, @pchaigno)
* docs: Document make target for operator Docker image (#13385, @pchaigno)
* docs: Document new Vagrant start.sh argument (#12601, @pchaigno)
* docs: Document RTD step for old branch on release (#12519, @joestringer)
* docs: Fix build (#13059, @joestringer)
* docs: fix rst table formatting in for stable releases (#12397, @borkmann)
* docs: Fix TLS visibility GSG (#13452, @jrajahalme)
* docs: fix typo (#12684, @kkourt)
* docs: Fix typo in add_vagrant_box path (#12421, @pchaigno)
* docs: Janitors should update backport PR labels (#12644, @pchaigno)
* docs: mention install/upgrade.rst in contrib guide (#13345, @ti-mo)
* docs: Remove "Experimental" from GKE E2E test section (#13426, @pchaigno)
* docs: update container image dependencies and distribution process (#11853, @aanm)
* docs: Update contributing docs (#13437, @twpayne)
* Enable doc building for arm64 in the Makefile (#12506, @TrevorTaoARM)
* Enable lint check as part of github action (#11528, @sayboras)
* Enable quick and experimential installation in CI (#12232, @sayboras)
* endpoint: Clean up the bwmap on pod termination (#12970, @pchaigno)
* Ensure that the socket is removed when api.SetDefaultPermissions fail (#12691, @kAworu)
* envoy: Avoid logger pointer data race (#12793, @jrajahalme)
* envoy: don't use deprecated listener and HTTP filter names (#13235, @tklauser)
* examples: Update host policy examples (#12959, @pchaigno)
* feat(configmap): Add support for setting labels in config map (#12646, @sayboras)
* feat(helm): Add serviceAccount field for hubble-ui (#12670, @sayboras)
* Fix bug in EKS environments where Cilium agents never become ready due to the CiliumNode CRD disallowing updates (#13195, @christarazi)
* Fix controller-tools module (#13055, @christarazi)
* Fix GetFlows Test (#13206, @nathanjsweet)
* Fix race condition in DeepEqual function (#13472, @aanm)
* Fix render-docs build again (#13158, @joestringer)
* Fix some word errors in the annotations (#12414, @TrevorTaoARM)
* Fix Spelling Errors for endpoint pkg (#12394, @TrevorTaoARM)
* fix: fix missing arguments declaration funcs in pkg/node/address_darwin (#13481, @genbit)
* Fixes printk. (#12610, @Weil0ng)
* Follow-up fixes for the API rate limiter (#13450, @tgraf)
* fqdn: remove unused fields and funcs after DNS poller removal (#13242, @tklauser)
* fqdn: remove unused test helper funcs (#13113, @tklauser)
* gitattributes: add examples/crds/*.yaml as linguist-generated (#12840, @aanm)
* github-workflow: Reduce scope of quick-install test (#13078, @tgraf)
* Give Hubble access to StoreGetter and include ContainerStatuses field for Pod (#12240, @michi-covalent)
* golangci: Enable varcheck linter (#11554, @mrostecki)
* health/server: drop dependency on github.com/c9s/goprocinfo (#12798, @tklauser)
* helm: remove hubble-ca-certs secret (#13290, @Rolinh)
* hubble, monitor: handle accesslog.DNSSourceProxy in log record parsers (#13114, @tklauser)
* hubble-relay: add support for LOCKDEBUG (#12320, @Rolinh)
* hubble/parser: Fix data race in L7 parser (#13467, @gandro)
* hubble/peer: always generate tls ServerName at the same DNS domain level (#13118, @kAworu)
* hubble/relay: compose ClientConn interface with grpc.ClientConnInterface (#12705, @Rolinh)
* hubble/relay: fix warning about missing config file (#13110, @kAworu)
* hubble: Add new monitor consumer implementation (#12711, @gandro)
* hubble: Switch GetEventsChannel to new consumer interface (#12712, @gandro)
* image/hubble-proto: Install bash in builder image (#13046, @gandro)
* images/builder: bump protoc to 3.12.4 (#12886, @tklauser)
* images/{Dockerfile.dockerignore}: do not ignore .git (#12915, @aanm)
* install/kubernetes: add disableEnvoyVersionCheck option (#12919, @aanm)
* install/kubernetes: quote disableEnvoyVersionCheck when option is set (#12922, @aanm)
* Invoke go-bindata from the vendor directory instead of requiring it explicitly (#12805, @christarazi)
* k8s: Disallow unknown fields in CNP & CCNP (#13382, @christarazi)
* k8s: Fix parsing of CCNPs (#12851, @pchaigno)
* k8s: Remove deprecated identity status field (#13053, @christarazi)
* k8s: test and add k8s 1.19.0 libraries (#13016, @aanm)
* k8s: update k8s to 1.19.0-rc.3 (#12708, @aanm)
* k8s: update k8s to 1.19.0-rc.4 (#12775, @aanm)
* loader: Refactor initArgMode assignments (#12238, @pchaigno)
* Lrp follow-up fixes (#13362, @aditighag)
* Misc: fix up spelling mistake (#12488, @Jianlin-lv)
* monitor: Add consumer interface for internal subscribers (#12710, @gandro)
* monitor: Avoid JSON-encoding agent events for in-memory storage (#12939, @gandro)
* monitor: Shorten policy-verdict output (#12137, @pchaigno)
* mountinfo speedups (#12249, @kolyshkin)
* Move single-use symbols out of pkg/common (#13368, @tklauser)
* operator: make: Add install target (#12204, @mrostecki)
* pkg/envoy: Fix Envoy MySQL test (#12790, @christarazi)
* pkg/k8s: fix race condition (#13471, @aanm)
* pkg/k8s: fix typo in unit tests due bad refactor (#12806, @aanm)
* pkg/k8s: remove manual generated DeepCopyInto function (#12680, @aanm)
* pkg/k8s: remove unused variable (#12696, @aanm)
* pkg/k8s: set schema version to 1.22.1 (#12921, @aanm)
* pkg/redirectpolicy Fix frontend-backend ipv6 mapping (#13494, @aditighag)
* policy language doc fix (#12404, @kAworu)
* policy: Do not dump selections on logs (#12927, @jrajahalme)
* policy: fix typo (#12364, @ArthurChiao)
* preflight: Use v1beta1 client when appropriate (#13312, @christarazi)
* preparing v1.9 dev cycle (#11781, @aanm)
* Prevent leak of AWS-related environment variables in `cilium-operator` deployment definition when deploying the operator in Azure mode. (#12411, @ungureanuvladvictor)
* proxy: remove unused dialer and socket code (#12744, @tklauser)
* README: Fix the versions listing (#13365, @joestringer)
* Reduce memory allocations during endpoint restore (#12405, @tklauser)
* release: Remove all unsused gitlib functions (#12259, @errordeveloper)
* Remove `ec2` notion from generic `cilium-operator` IPAM metrics. (#12413, @ungureanuvladvictor)
* Remove GitHub issue template for support request (#12957, @tgraf)
* Remove old proto dependencies (#13119, @glibsm)
* Rename azure-user-assigned-identity-name to azure-user-assigned-identity-id (#13390, @ungureanuvladvictor)
* replace Deployment with Job for example (#12455, @brandshaide)
* Replace use of github.com/pkg/errors and golang.org/x/xerrors with Go stdlib functionality (#12603, @tklauser)
* Restores ClusterIP service entry upon LRP removal. (#13274, @Weil0ng)
* Revise doc building to enable it on arm64 (#12231, @TrevorTaoARM)
* RFC: ip: Flesh out list of non-global scope prefixes (#11875, @joestringer)
* s/create/apply (#12987, @jimangel)
* smoke-test: Capture sysdump details for troubleshooting (#13090, @sayboras)
* Stop listening for Pod Container Status events, making Cilium's Kubernetes event watcher less resource consuming when a pod is deleted. (#13179, @aanm)
* style(errors.Is): To enforce errors.Is usage instead of comparison (#12707, @sayboras)
* style(imports): Remove duplicate imports in same file (#12747, @sayboras)
* test(github): Bump required protoc version to 3.12.3 (#12768, @sayboras)
* test(helm): Run smoke test in multi-node cluster (#11888, @sayboras)
* test(quick-install): Dump related logs and events for cilium, hubble and connectivity checks (#12286, @sayboras)
* test(smoketest): Set liveness and readiness timeout in connectivity check (#13067, @sayboras)
* test/conformance: Disable pulling latest image in ipv6 test (#13204, @sayboras)
* test/packet: extend add_vagrant_box.sh script to load dev/CI images (#11871, @qmonnet)
* test/packet: set operating_system to ubuntu_18_04 (#12476, @aanm)
* test: Add monitoring to the flaky FQDN test (#12061, @jrajahalme)
* test: enable hubble tls in ci (#13232, @kAworu)
* test: Fetch DNS proxy port from `ss -uap` (#12577, @joestringer)
* test: fix ipv6 addr configuration for vm interfaces (#13445, @fristonio)
* test: further increase range of accepted values for bandwidth test (#13372, @borkmann)
* test: properly clean up cilium components in ginkgo contexts (#12763, @fristonio)
* test: Quarantine flaky GuestBook test (#13000, @pchaigno)
* test: Quarantine K8sIstioTest while flaky (#13014, @pchaigno)
* test: Remove incorrect comment on flakyness (#12821, @pchaigno)
* test: Remove old `startup-script` image dir (#12340, @errordeveloper)
* test: Test for vxlan + per-endpoint routes (#13466, @pchaigno)
* test: Update docker image references (#12579, @pchaigno)
* test: Use smaller, updated docker images (#12583, @pchaigno)
* travis: remove Arm64 jobs from allow_failures (#13172, @Jianlin-lv)
* ui: updated helm charts for hubble-ui 0.7 (#13170, @geakstr)
* Update documentation for kubectl usage (#12487, @JieJhih)
* Update Go to 1.15.2 (#13139, @tklauser)
* Update MAINTAINERS file (#12200, @tgraf)
* Update protobuf and gRPC related dependencies (#12767, @Rolinh)
* Update self-managed k8s docs to exclude Azure IPAM link (based on AKS). (#12539, @ungureanuvladvictor)
* Update stable releases (#11938, #12047, #12392, #12635, #13089, #12780, #13363, #13013, #13045, @aanm, @christarazi, and @joestringer)
* Use existing consts for Cilium CRD names (#12928, @tklauser)
* Use net.JoinHostPort to construct network address strings (#12975, @tklauser)
* use os.user instead of reading /etc/group (#12638, @kAworu)
* Use right schema when validating CCNP in pre-flight upgrade step (#12106, @aanm)
* USERS: Add Alibaba Cloud usage (#13453, @tgraf)
* USERS: Add Google and DigitalOcean (#13108, @tgraf)
* USERS: Add microk8s (#13478, @tgraf)
* Vagrant overall improvements (#12477, @aanm)
* vagrant start script misc updates (#13444, @kkourt)
* vagrant: Bump all vagrant box versions (#12261, #12629, #13035, #13341, #13370, @borkmann @pchaigno)
