<!-- This file was autogenerated via cilium cmdref, do not edit manually-->

## cilium completion

Output shell completion code

### Synopsis

Output shell completion code

```
cilium completion [shell] [flags]
```

### Examples

```

# Installing bash completion on macOS using homebrew
## If running Bash 3.2 included with macOS
	brew install bash-completion
## or, if running Bash 4.1+
	brew install bash-completion@2
## afterwards you only need to run
	cilium completion bash > $(brew --prefix)/etc/bash_completion.d/cilium


# Installing bash completion on Linux
## Load the cilium completion code for bash into the current shell
	source <(cilium completion bash)
## Write bash completion code to a file and source if from .bash_profile
	cilium completion bash > ~/.cilium/completion.bash.inc
	printf "
	  # Cilium shell completion
	  source '$HOME/.cilium/completion.bash.inc'
	  " >> $HOME/.bash_profile
	source $HOME/.bash_profile


# Installing zsh completion on Linux/macOS
## Load the cilium completion code for zsh into the current shell
	source <(cilium completion zsh)
## Write zsh completion code to a file and source if from .zshrc
	cilium completion zsh > ~/.cilium/completion.zsh.inc
	printf "
	  # Cilium shell completion
	  source '$HOME/.cilium/completion.zsh.inc'
	  " >> $HOME/.zshrc
	source $HOME/.zshrc

# Installing fish completion on Linux/macOS
## Write fish completion code to fish specific location
	cilium completion fish > ~/.config/fish/completions/cilium.fish

```

### Options

```
  -h, --help   help for completion
```

### Options inherited from parent commands

```
      --config string   config file (default is $HOME/.cilium.yaml)
  -D, --debug           Enable debug messages
  -H, --host string     URI to server-side API
```

### SEE ALSO

* [cilium](../cilium)	 - CLI

